︠161d1fb1-152f-4796-b3ce-03bde1153487s︠
import numpy

Sbox1 = numpy.mat([["101","010","001","110","011","100","111","000"],["001","100","110","010","000","111","101","011"]])
Sbox2 = numpy.mat([["100","000","110","101","111","001","011","010"],["101","011","000","111","110","010","001","100"]])
S1={"0110" : "111", "1110" : "101", "0000" : "101", "1001" : "100", "1100" : "000", "0010" : "001", "0111" : "000", "1111" : "011", "1010" : "110", "0100" : "011", "0101" : "100", "1101" : "111", "0001" : "010", "1000" : "001", "1011" : "010", "0011" : "110"}
S2={"0110" : "011", "1110" : "001", "0000" : "100", "1001" : "011", "1100" : "110", "0010" : "110", "0111" : "010", "1111" : "100", "1010" : "000", "0100" : "111", "0101" : "001", "1101" : "010", "0001" : "000", "1000" : "101", "1011" : "111", "0011" : "101"}

def EightBitsKey (key, i):
    iBit = (i - 1) % 9 + 1
    a = key + key
    #print a[iBit:iBit+8]
    return a[iBit:iBit+8]
    #return(substring(a, xrange(iBit,iBit + 7)))

def Ln(thisString):
    return thisString[0:6]

def Rn(thisString):
    return thisString[6:12]

def Expander(Right):
    R12=Right[0:1+1]
    R56=Right[4:5+1]
    R43 = Right[3:2-1:-1]
    return R12+R43+R43+R56

def XOR(x,y):
    if(x==y):
        return "0"
    else:
        return "1"

def XORnbits(R,key,n):
    buffer = ""
    for i in range(0,n):
        buffer += XOR(R[i],key[i])
    return buffer
    #cat(seq(XOR(substring(R,i), substring(key,i)),i=1..n)):


def BDESoneRound (message, key, numround):
    ikey = EightBitsKey(key, numround)
    L0 = Ln(message)
    R0 = Rn(message)
    expandedR = Expander(R0)
    Sboxinput = XORnbits(expandedR, ikey, 8)
    print ((L0,R0,expandedR,Sboxinput))
    Sboxesoutput = S1[Sboxinput[:4]] + S2[Sboxinput[4:]]
    return(R0 + XORnbits(Sboxesoutput, L0, 6))


def BDES (message, key, Rounds):
    cgret=""
    temp = message
    for i in range(1, Rounds + 1):
        temp = BDESoneRound(temp, key, i)
        cgret = temp
    return(cgret)

def DoubleBDES (message,key1,key2,rounds):
    i=0
    temp = message
    while True:
        for j in range(1, 4):
            temp = BDESoneRound(temp, key1, j)
        for j in range(1, 4):
            temp = BDESoneRound(temp, key2, j)
        if temp == message:
            print(temp)
            return(i)
        i+=1
    return(temp)


def BDESdecr (message, key, Rounds):
    L = Ln(message)
    R = Rn(message)
    temp = R + L
    for i in range(0, Rounds - 1 + 1):
        temp = BDESoneRound(temp, key, Rounds - i)
    L = Ln(temp)
    R = Rn(temp)
    temp = R + L
    return(temp)


︡de5d8cbb-3f3f-45c2-885e-8e63eb351585︡{"done":true}
︠18447d55-aa48-4c66-bbec-137468c2b5b1s︠
key="110110010"
message="101010110101"
BDESoneRound(message,key,4)
︡380f8048-7eaa-4f5d-9b91-60ab61edf395︡{"stdout":"('101010', '110101', '11101001', '01111111')\n'110101101110'\n"}︡{"done":true}
︠0025dd26-f7e1-4304-8f2c-d08129027015s︠
key = "111011111"
EightBitsKey(key,2)
︡7f5e130b-e755-4fcb-b49f-4c46b1265f0f︡{"stdout":"'10111111'\n"}︡{"done":true}
︠9e21b8c2-7d50-4609-b75f-753d00782e2es︠
key = "010011001"
EightBitsKey(key,2)
︡093dd51f-3aae-4e1a-b380-de8f12f91cf5︡{"stdout":"'00110010'\n"}︡{"done":true}
︠5935fba7-6cd9-4366-99b9-04595ed1a64as︠

key="110110010"
message="101010110101"
L0 = Ln(message)
R0 = Rn(message)
ER0 = Expander(R0)
k1= EightBitsKey(key,0)
SboxInputs=XORnbits(ER0,k1,8)
SboxInputs[:4]
S1[SboxInputs[:4]]
L0
R0
ER0
k1
SboxInputs
︡27243263-6894-48ff-96d5-fe30a814ca57︡{"stdout":"'0011'\n"}︡{"stdout":"'110'\n"}︡{"stdout":"'101010'\n"}︡{"stdout":"'110101'\n"}︡{"stdout":"'11101001'\n"}︡{"stdout":"'11011001'\n"}︡{"stdout":"'00110000'\n"}︡{"done":true}
︠2eaff204-fab1-40c5-a5ba-c9d43a0ad587s︠

key="110011101"
message="101010110101"
Encr=BDES(message,key,6)
out = BDESdecr(Encr,key,6)
out==message
out
︡93127e74-060f-415e-867a-831b707fe13f︡{"stdout":"('101010', '110101', '11101001', '01110100')\n('110101', '101101', '10111101', '10000110')\n('101101', '111110', '11111110', '10001001')\n('111110', '100110', '10101010', '01000100')\n('100110', '100001', '10000001', '01011101')\n('100001', '000100', '00101000', '10010001')\n"}︡{"stdout":"('000001', '000100', '00101000', '10010001')\n('000100', '100001', '10000001', '01011101')\n('100001', '100110', '10101010', '01000100')\n('100110', '111110', '11111110', '10001001')\n('111110', '101101', '10111101', '10000110')\n('101101', '110101', '11101001', '01110100')\n"}︡{"stdout":"True\n"}︡{"stdout":"'101010110101'\n"}︡{"done":true}
︠af943e61-747c-478c-8a5f-9616ffc31bb3s︠

︡1315807e-6fb4-4fdb-b337-f0b075ef2015︡{"done":true}
︠6f48f8f1-59f6-4509-a878-1bd5f63326ads︠
k1="000000000"
k2="111111111"
DoubleBDES("110101010010",k1,k2,512)
︡25a27c5f-bd2b-4354-bf60-1e5b694c52fd︡{"stdout":"('110101', '010010', '01000010', '01000010')\n('010010', '101011', '10010111', '10010111')\n('101011', '110000', '11000000', '11000000')\n('110000', '101111', '10111111', '01000000')\n('101111', '101100', '10111100', '01000011')\n('101100', '110010', '11000010', '00111101')\n('110010', '011110', '01111110', '01111110')\n('011110', '110011', '11000011', '11000011')\n('110011', '011011', '01010111', '01010111')\n('011011', '010001', '01000001', '10111110')\n('010001', '001010', '00010110', '11101001')\n('001010', '111010', '11010110', '00101001')\n('111010', '000001', '00000001', '00000001')\n('000001', '010010', '01000010', '01000010')\n('010010', '011111', '01111111', '01111111')\n('011111', '010110', '01101010', '10010101')\n('010110', '111110', '11111110', '00000001')\n('111110', '111110', '11111110', '00000001')\n('111110', '010110', '01101010', '01101010')\n('010110', '000110', '00101010', '00101010')\n('000110', '011110', '01111110', '01111110')\n('011110', '000111', '00101011', '11010100')\n('000111', '100001', '10000001', '01111110')\n('100001', '000110', '00101010', '11010101')\n('000110', '011000', '01010100', '01010100')\n('011000', '100001', '10000001', '10000001')\n('100001', '010000', '01000000', '01000000')\n('010000', '111101', '11111101', '00000010')\n('111101', '111110', '11111110', '00000001')\n('111110', '010101', '01101001', '10010110')\n('010101', '011101', '01111101', '01111101')\n('011101', '010111', '01101011', '01101011')\n('010111', '100010', '10000010', '10000010')\n('100010', '011001', '01010101', '10101010')\n('011001', '010010', '01000010', '10111101')\n('010010', '001011', '00010111', '11101000')\n('001011', '111111', '11111111', '11111111')\n('111111', '010111', '01101011', '01101011')\n('010111', '000000', '00000000', '00000000')\n('000000', '111011', '11010111', '00101000')\n('111011', '001101', '00111101', '11000010')\n('001101', '111101', '11111101', '00000010')\n('111101', '100011', '10000011', '10000011')\n('100011', '110000', '11000000', '11000000')\n('110000', '100111', '10101011', '10101011')\n('100111', '000111', '00101011', '11010100')\n('000111', '011000', '01010100', '10101011')\n('011000', '110000', '11000000', '00111111')\n('110000', '101100', '10111100', '10111100')\n('101100', '100110', '10101010', '10101010')\n('100110', '011100', '01111100', '01111100')\n('011100', '100000', '10000000', '01111111')\n('100000', '011000', '01010100', '10101011')\n('011000', '010111', '01101011', '10010100')\n('010111', '111111', '11111111', '11111111')\n('111111', '001011', '00010111', '00010111')\n('001011', '101101', '10111101', '10111101')\n('101101', '011001', '01010101', '10101010')\n('011001', '011101', '01111101', '10000010')\n('011101', '010111', '01101011', '10010100')\n('010111', '111010', '11010110', '11010110')\n('111010', '101100', '10111100', '10111100')\n('101100', '101100', '10111100', '10111100')\n('101100', '111010', '11010110', '00101001')\n('111010', '100111', '10101011', '01010100')\n('100111', '011101', '01111101', '10000010')\n('011101', '101001', '10010101', '10010101')\n('101001', '111100', '11111100', '11111100')\n('111100', '110111', '11101011', '11101011')\n('110111', '010011', '01000011', '10111100')\n('010011', '100001', '10000001', '01111110')\n('100001', '010010', '01000010', '10111101')\n('010010', '110011', '11000011', '11000011')\n('110011', '010111', '01101011', '01101011')\n('010111', '001100', '00111100', '00111100')\n('001100', '100001', '10000001', '01111110')\n('100001', '001101', '00111101', '11000010')\n('001101', '100111', '10101011', '01010100')\n('100111', '101010', '10010110', '10010110')\n('101010', '000100', '00101000', '00101000')\n('000100', '100111', '10101011', '10101011')\n('100111', '110011', '11000011', '00111100')\n('110011', '010001', '01000001', '10111110')\n('010001', '100010', '10000010', '01111101')\n('100010', '010011', '01000011', '01000011')\n('010011', '111111', '11111111', '11111111')\n('111111', '001111', '00111111', '00111111')\n('001111', '001011', '00010111', '11101000')\n('001011', '100010', '10000010', '01111101')\n('100010', '001001', '00010101', '11101010')\n('001001', '001010', '00010110', '00010110')\n('001010', '011010', '01010110', '01010110')"}︡{"stdout":"\n('011010', '101001', '10010101', '10010101')\n('101001', '111011', '11010111', '00101000')\n('111011', '100100', '10101000', '01010111')\n('100100', '011001', '01010101', '10101010')\n('011001', '010100', '01101000', '01101000')\n('010100', '100100', '10101000', '10101000')\n('100100', '100001', '10000001', '10000001')\n('100001', '101100', '10111100', '01000011')\n('101100', '111100', '11111100', '00000011')\n('111100', '000001', '00000001', '11111110')\n('000001', '100101', '10101001', '10101001')\n('100101', '110010', '11000010', '11000010')\n('110010', '100011', '10000011', '10000011')\n('100011', '111111', '11111111', '00000000')\n('111111', '001111', '00111111', '11000000')\n('001111', '111011', '11010111', '00101000')\n('111011', '000010', '00000010', '00000010')\n('000010', '010101', '01101001', '01101001')\n('010101', '111001', '11010101', '11010101')\n('111001', '101100', '10111100', '01000011')\n('101100', '100100', '10101000', '01010111')\n('100100', '001110', '00111110', '11000001')\n('001110', '100100', '10101000', '10101000')\n('100100', '111011', '11010111', '11010111')\n('111011', '011110', '01111110', '01111110')\n('011110', '111010', '11010110', '00101001')\n('111010', '010101', '01101001', '10010110')\n('010101', '011001', '01010101', '10101010')\n('011001', '100101', '10101001', '10101001')\n('100101', '101010', '10010110', '10010110')\n('101010', '000110', '00101010', '00101010')\n('000110', '100010', '10000010', '01111101')\n('100010', '000100', '00101000', '11010111')\n('000100', '011000', '01010100', '10101011')\n('011000', '110011', '11000011', '11000011')\n('110011', '011101', '01111101', '01111101')\n('011101', '110001', '11000001', '11000001')\n('110001', '011101', '01111101', '10000010')\n('011101', '111111', '11111111', '00000000')\n('111111', '110001', '11000001', '00111110')\n('110001', '001110', '00111110', '00111110')\n('001110', '000000', '00000000', '00000000')\n('000000', '100010', '10000010', '10000010')\n('100010', '001110', '00111110', '11000001')\n('001110', '100010', '10000010', '01111101')\n('100010', '001100', '00111100', '11000011')\n('001100', '100111', '10101011', '10101011')\n('100111', '111011', '11010111', '11010111')\n('111011', '011101', '01111101', '01111101')\n('011101', '111001', '11010101', '00101010')\n('111001', '010101', '01101001', '10010110')\n('010101', '011010', '01010110', '10101001')\n('011010', '100110', '10101010', '10101010')\n('100110', '101010', '10010110', '10010110')\n('101010', '000101', '00101001', '00101001')\n('000101', '100001', '10000001', '01111110')\n('100001', '000100', '00101000', '11010111')\n('000100', '011011', '01010111', '10101000')\n('011011', '110001', '11000001', '11000001')\n('110001', '011011', '01010111', '01010111')\n('011011', '010011', '01000011', '01000011')\n('010011', '000110', '00101010', '11010101')\n('000110', '101010', '10010110', '01101001')\n('101010', '111101', '11111101', '00000010')\n('111101', '000100', '00101000', '00101000')\n('000100', '110000', '11000000', '11000000')\n('110000', '000000', '00000000', '00000000')\n('000000', '011100', '01111100', '10000011')\n('011100', '001101', '00111101', '11000010')\n('001101', '011010', '01010110', '10101001')\n('011010', '111110', '11111110', '11111110')\n('111110', '000011', '00000011', '00000011')\n('000011', '010011', '01000011', '01000011')\n('010011', '011110', '01111110', '10000001')\n('011110', '011011', '01010111', '10101000')\n('011011', '101011', '10010111', '01101000')\n('101011', '100110', '10101010', '10101010')\n('100110', '011011', '01010111', '01010111')\n('011011', '000100', '00101000', '00101000')\n('000100', '010110', '01101010', '10010101')\n('010110', '100101', '10101001', '01010110')\n('100101', '110101', '11101001', '00010110')\n('110101', '110110', '11101010', '11101010')\n('110110', '011101', '01111101', '01111101')\n('011101', '110100', '11101000', '11101000')\n('110100', '110000', '11000000', '00111111')\n('110000', '000000', '00000000', '11111111')\n('000000', '101100', '10111100', '01000011')\n('101100', '011101', '01111101', '01111101')\n('011101', '101110', '10111110', '10111110')\n('101110', '001100', '00111100', '00111100')\n"}︡{"stdout":"('001100', '011000', '01010100', '10101011')\n('011000', '111011', '11010111', '00101000')\n('111011', '010101', '01101001', '10010110')\n('010101', '011000', '01010100', '01010100')\n('011000', '110010', '11000010', '11000010')\n('110010', '011110', '01111110', '01111110')\n('011110', '110011', '11000011', '00111100')\n('110011', '101000', '10010100', '01101011')\n('101000', '001100', '00111100', '11000011')\n('001100', '101101', '10111101', '10111101')\n('101101', '011110', '01111110', '01111110')\n('011110', '101100', '10111100', '10111100')\n('101100', '001000', '00010100', '11101011')\n('001000', '000011', '00000011', '11111100')\n('000011', '010110', '01101010', '10010101')\n('010110', '100010', '10000010', '10000010')\n('100010', '011000', '01010100', '01010100')\n('011000', '000101', '00101001', '00101001')\n('000101', '010011', '01000011', '10111100')\n('010011', '010011', '01000011', '10111100')\n('010011', '000101', '00101001', '11010110')\n('000101', '101000', '10010100', '10010100')\n('101000', '100010', '10000010', '10000010')\n('100010', '100110', '10101010', '10101010')\n('100110', '010010', '01000010', '10111101')\n('010010', '110100', '11101000', '00010111')\n('110100', '000000', '00000000', '11111111')\n('000000', '101000', '10010100', '10010100')\n('101000', '100111', '10101011', '10101011')\n('100111', '011111', '01111111', '01111111')\n('011111', '100011', '10000011', '01111100')\n('100011', '011001', '01010101', '10101010')\n('011001', '010011', '01000011', '10111100')\n('010011', '001111', '00111111', '00111111')\n('001111', '100111', '10101011', '10101011')\n('100111', '111000', '11010100', '11010100')\n('111000', '011000', '01010100', '10101011')\n('011000', '001111', '00111111', '11000000')\n('001111', '011100', '01111100', '10000011')\n('011100', '000010', '00000010', '00000010')\n('000010', '110010', '11000010', '11000010')\n('110010', '000100', '00101000', '00101000')\n('000100', '111111', '11111111', '00000000')\n('111111', '101000', '10010100', '01101011')\n('101000', '000000', '00000000', '11111111')\n('000000', '110100', '11101000', '11101000')\n('110100', '101101', '10111101', '10111101')\n('101101', '100110', '10101010', '10101010')\n('100110', '011101', '01111101', '10000010')\n('011101', '101000', '10010100', '01101011')\n('101000', '100010', '10000010', '01111101')\n('100010', '101010', '10010110', '10010110')\n('101010', '000001', '00000001', '00000001')\n('000001', '000010', '00000010', '00000010')\n('000010', '101111', '10111111', '01000000')\n('101111', '011110', '01111110', '10000001')\n('011110', '100111', '10101011', '01010100')\n('100111', '111001', '11010101', '11010101')\n('111001', '011110', '01111110', '01111110')\n('011110', '111000', '11010100', '11010100')\n('111000', '100001', '10000001', '01111110')\n('100001', '111001', '11010101', '00101010')\n('111001', '101001', '10010101', '01101010')\n('101001', '000001', '00000001', '00000001')\n('000001', '000001', '00000001', '00000001')\n('000001', '101001', '10010101', '10010101')\n('101001', '100000', '10000000', '01111111')\n('100000', '101101', '10111101', '01000010')\n('101101', '111110', '11111110', '00000001')\n('111110', '000101', '00101001', '00101001')\n('000101', '110101', '11101001', '11101001')\n('110101', '101110', '10111110', '10111110')\n('101110', '100100', '10101000', '01010111')\n('100100', '001100', '00111100', '11000011')\n('001100', '100001', '10000001', '01111110')\n('100001', '001101', '00111101', '00111101')\n('001101', '010011', '01000011', '01000011')\n('010011', '010000', '01000000', '01000000')\n('010000', '001111', '00111111', '11000000')\n('001111', '010100', '01101000', '10010111')\n('010100', '101101', '10111101', '01000010')\n('101101', '001010', '00010110', '00010110')\n('001010', '111110', '11111110', '11111110')\n('111110', '010011', '01000011', '01000011')\n('010011', '100011', '10000011', '01111100')\n('100011', '010101', '01101001', '10010110')\n('010101', '000000', '00000000', '11111111')\n('000000', '001001', '00010101', '00010101')\n('001001', '010001', '01000001', '01000001')\n('010001', '010001', '01000001', '01000001')\n('010001', '001001', '00010101', '11101010')\n('001001', '111001', '11010101', '00101010')"}︡{"stdout":"\n('111001', '000001', '00000001', '11111110')\n('000001', '100000', '10000000', '10000000')\n('100000', '001101', '00111101', '00111101')\n('001101', '010010', '01000010', '01000010')\n('010010', '010011', '01000011', '10111100')\n('010011', '000100', '00101000', '11010111')\n('000100', '101001', '10010101', '01101010')\n('101001', '111100', '11111100', '11111100')\n('111100', '110111', '11101011', '11101011')\n('110111', '010011', '01000011', '01000011')\n('010011', '101010', '10010110', '01101001')\n('101010', '101000', '10010100', '01101011')\n('101000', '010101', '01101001', '10010110')\n('010101', '001011', '00010111', '00010111')\n('001011', '000111', '00101011', '00101011')\n('000111', '000100', '00101000', '00101000')\n('000100', '001010', '00010110', '11101001')\n('001010', '101111', '10111111', '01000000')\n('101111', '010110', '01101010', '10010101')\n('010110', '001110', '00111110', '00111110')\n('001110', '100111', '10101011', '10101011')\n('100111', '111001', '11010101', '11010101')\n('111001', '011110', '01111110', '10000001')\n('011110', '110001', '11000001', '00111110')\n('110001', '101111', '10111111', '01000000')\n('101111', '101101', '10111101', '10111101')\n('101101', '111101', '11111101', '11111101')\n('111101', '110111', '11101011', '11101011')\n('110111', '010010', '01000010', '10111101')\n('010010', '100101', '10101001', '01010110')\n('100101', '110001', '11000001', '00111110')\n('110001', '010100', '01101000', '01101000')\n('010100', '001100', '00111100', '00111100')\n('001100', '100010', '10000010', '10000010')\n('100010', '000010', '00000010', '11111101')\n('000010', '111000', '11010100', '00101011')\n('111000', '001101', '00111101', '11000010')\n('001101', '111110', '11111110', '11111110')\n('111110', '010100', '01101000', '01101000')\n('010100', '000011', '00000011', '00000011')\n('000011', '111001', '11010101', '00101010')\n('111001', '001011', '00010111', '11101000')\n('001011', '010100', '01101000', '10010111')\n('010100', '101001', '10010101', '10010101')\n('101001', '110101', '11101001', '11101001')\n('110101', '000010', '00000010', '00000010')\n('000010', '011011', '01010111', '10101000')\n('011011', '110111', '11101011', '00010100')\n('110111', '001100', '00111100', '11000011')\n('001100', '110010', '11000010', '11000010')\n('110010', '001010', '00010110', '00010110')\n('001010', '100001', '10000001', '10000001')\n('100001', '000010', '00000010', '11111101')\n('000010', '111011', '11010111', '00101000')\n('111011', '001111', '00111111', '11000000')\n('001111', '111111', '11111111', '11111111')\n('111111', '010011', '01000011', '01000011')\n('010011', '100010', '10000010', '10000010')\n('100010', '011101', '01111101', '10000010')\n('011101', '101100', '10111100', '01000011')\n('101100', '000000', '00000000', '11111111')\n('000000', '110000', '11000000', '11000000')\n('110000', '000100', '00101000', '00101000')\n('000100', '111101', '11111101', '11111101')\n('111101', '011110', '01111110', '10000001')\n('011110', '110101', '11101001', '00010110')\n('110101', '001101', '00111101', '11000010')\n('001101', '110011', '11000011', '11000011')\n('110011', '001000', '00010100', '00010100')\n('001000', '100100', '10101000', '10101000')\n('100100', '111101', '11111101', '00000010')\n('111101', '001010', '00010110', '11101001')\n('001010', '010110', '01101010', '10010101')\n('010110', '101011', '10010111', '10010111')\n('101011', '110100', '11101000', '11101000')\n('110100', '000110', '00101010', '00101010')\n('000110', '111100', '11111100', '00000011')\n('111100', '101011', '10010111', '01101000')\n('101011', '000001', '00000001', '11111110')\n('000001', '110010', '11000010', '11000010')\n('110010', '000111', '00101011', '00101011')\n('000111', '111101', '11111101', '11111101')\n('111101', '011101', '01111101', '10000010')\n('011101', '110011', '11000011', '00111100')\n('110011', '101011', '10010111', '01101000')\n('101011', '001110', '00111110', '00111110')\n('001110', '011010', '01010110', '01010110')\n('011010', '101101', '10111101', '10111101')\n('101101', '001000', '00010100', '11101011')\n('001000', '000010', '00000010', '11111101')\n('000010', '010010', '01000010', '10111101')\n"}︡{"stdout":"('010010', '010000', '01000000', '01000000')\n('010000', '001110', '00111110', '00111110')\n('001110', '100001', '10000001', '10000001')\n('100001', '000110', '00101010', '11010101')\n('000110', '011000', '01010100', '10101011')\n('011000', '110001', '11000001', '00111110')\n('110001', '101001', '10010101', '10010101')\n('101001', '010000', '01000000', '01000000')\n('010000', '110101', '11101001', '11101001')\n('110101', '111011', '11010111', '00101000')\n('111011', '111000', '11010100', '00101011')\n('111000', '110100', '11101000', '00010111')\n('110100', '101010', '10010110', '10010110')\n('101010', '010111', '01101011', '01101011')\n('010111', '010101', '01101001', '01101001')\n('010101', '101100', '10111100', '01000011')\n('101100', '001000', '00010100', '11101011')\n('001000', '000011', '00000011', '11111100')\n('000011', '010110', '01101010', '01101010')\n('010110', '111011', '11010111', '11010111')\n('111011', '101100', '10111100', '10111100')\n('101100', '101101', '10111101', '01000010')\n('101101', '110010', '11000010', '00111101')\n('110010', '011111', '01111111', '10000000')\n('011111', '111110', '11111110', '11111110')\n('111110', '000110', '00101010', '00101010')\n('000110', '110110', '11101010', '11101010')\n('110110', '101110', '10111110', '01000001')\n('101110', '101110', '10111110', '01000001')\n('101110', '110110', '11101010', '00010101')\n('110110', '111111', '11111111', '11111111')\n('111111', '101010', '10010110', '10010110')\n('101010', '011100', '01111100', '01111100')\n('011100', '101100', '10111100', '01000011')\n('101100', '000001', '00000001', '11111110')\n('000001', '110101', '11101001', '00010110')\n110101010010\n66\n"}︡{"done":true}
︠9d7b6292-0b8c-4bf2-9061-6b83528f2481s︠
numcorrect=0
numwrong=0
for i in range(0,(2^9)):
    #key="110011101"    
    key =format(i, '#011b')
    message="101010110101"
    Encr=BDES(message,key,2)
    out = BDESdecr(Encr,key,2)
    if out!=message:
        print(key)
        numwrong+=1
    else:
        numcorrect+=1
numcorrect
numwrong
︡db8a176b-acec-49f4-a76a-c9dd85d08e16︡{"stdout":"('101010', '110101', '11101001', '11101001')\n('110101', '000001', '00000001', '00000001')\n('011101', '000001', '00000001', '00000001')\n('000001', '110101', '11101001', '11101001')\n('101010', '110101', '11101001', '11101001')\n('110101', '000001', '00000001', '00000001')\n('011101', '000001', '00000001', '00000001')\n('000001', '110101', '11101001', '11101001')\n('101010', '110101', '11101001', '11101001')\n('110101', '000001', '00000001', '00000000')\n('011001', '000001', '00000001', '00000000')\n('000001', '110101', '11101001', '11101001')\n('101010', '110101', '11101001', '11101001')\n('110101', '000001', '00000001', '00000000')\n('011001', '000001', '00000001', '00000000')\n('000001', '110101', '11101001', '11101001')\n('101010', '110101', '11101001', '11101000')\n('110101', '000111', '00101011', '00101001')\n('111110', '000111', '00101011', '00101001')\n('000111', '110101', '11101001', '11101000')\n('101010', '110101', '11101001', '11101000')\n('110101', '000111', '00101011', '00101001')\n('111110', '000111', '00101011', '00101001')\n('000111', '110101', '11101001', '11101000')\n('101010', '110101', '11101001', '11101000')\n('110101', '000111', '00101011', '00101000')\n('111000', '000111', '00101011', '00101000')\n('000111', '110101', '11101001', '11101000')\n('101010', '110101', '11101001', '11101000')\n('110101', '000111', '00101011', '00101000')\n('111000', '000111', '00101011', '00101000')\n('000111', '110101', '11101001', '11101000')\n('101010', '110101', '11101001', '11101011')\n('110101', '000101', '00101001', '00101101')\n('111111', '000101', '00101001', '00101101')\n('000101', '110101', '11101001', '11101011')\n('101010', '110101', '11101001', '11101011')\n('110101', '000101', '00101001', '00101101')\n('111111', '000101', '00101001', '00101101')\n('000101', '110101', '11101001', '11101011')\n('101010', '110101', '11101001', '11101011')\n('110101', '000101', '00101001', '00101100')\n('111011', '000101', '00101001', '00101100')\n('000101', '110101', '11101001', '11101011')\n('101010', '110101', '11101001', '11101011')\n('110101', '000101', '00101001', '00101100')\n('111011', '000101', '00101001', '00101100')\n('000101', '110101', '11101001', '11101011')\n('101010', '110101', '11101001', '11101010')\n('110101', '000010', '00000010', '00000100')\n('011010', '000010', '00000010', '00000100')\n('000010', '110101', '11101001', '11101010')\n('101010', '110101', '11101001', '11101010')\n('110101', '000010', '00000010', '00000100')\n('011010', '000010', '00000010', '00000100')\n('000010', '110101', '11101001', '11101010')\n('101010', '110101', '11101001', '11101010')\n('110101', '000010', '00000010', '00000101')\n('011100', '000010', '00000010', '00000101')\n('000010', '110101', '11101001', '11101010')\n('101010', '110101', '11101001', '11101010')\n('110101', '000010', '00000010', '00000101')\n('011100', '000010', '00000010', '00000101')\n('000010', '110101', '11101001', '11101010')\n('101010', '110101', '11101001', '11101101')\n('110101', '000000', '00000000', '00001000')\n('011000', '000000', '00000000', '00001000')\n('000000', '110101', '11101001', '11101101')\n('101010', '110101', '11101001', '11101101')\n('110101', '000000', '00000000', '00001000')\n('011000', '000000', '00000000', '00001000')\n('000000', '110101', '11101001', '11101101')\n('101010', '110101', '11101001', '11101101')\n('110101', '000000', '00000000', '00001001')\n('011110', '000000', '00000000', '00001001')\n('000000', '110101', '11101001', '11101101')\n('101010', '110101', '11101001', '11101101')\n('110101', '000000', '00000000', '00001001')\n('011110', '000000', '00000000', '00001001')\n('000000', '110101', '11101001', '11101101')\n('101010', '110101', '11101001', '11101100')\n('110101', '000100', '00101000', '00100010')\n('111011', '000100', '00101000', '00100010')\n('000100', '110101', '11101001', '11101100')\n('101010', '110101', '11101001', '11101100')\n('110101', '000100', '00101000', '00100010')\n('111011', '000100', '00101000', '00100010')\n('000100', '110101', '11101001', '11101100')\n('101010', '110101', '11101001', '11101100')\n('110101', '000100', '00101000', '00100011')\n('111000', '000100', '00101000', '00100011')\n('000100', '110101', '11101001', '11101100')"}︡{"stdout":"\n('101010', '110101', '11101001', '11101100')\n('110101', '000100', '00101000', '00100011')\n('111000', '000100', '00101000', '00100011')\n('000100', '110101', '11101001', '11101100')\n('101010', '110101', '11101001', '11101111')\n('110101', '000110', '00101010', '00100110')\n('111110', '000110', '00101010', '00100110')\n('000110', '110101', '11101001', '11101111')\n('101010', '110101', '11101001', '11101111')\n('110101', '000110', '00101010', '00100110')\n('111110', '000110', '00101010', '00100110')\n('000110', '110101', '11101001', '11101111')\n('101010', '110101', '11101001', '11101111')\n('110101', '000110', '00101010', '00100111')\n('111111', '000110', '00101010', '00100111')\n('000110', '110101', '11101001', '11101111')\n('101010', '110101', '11101001', '11101111')\n('110101', '000110', '00101010', '00100111')\n('111111', '000110', '00101010', '00100111')\n('000110', '110101', '11101001', '11101111')\n('101010', '110101', '11101001', '11101110')\n('110101', '000011', '00000011', '00001101')\n('011111', '000011', '00000011', '00001101')\n('000011', '110101', '11101001', '11101110')\n('101010', '110101', '11101001', '11101110')\n('110101', '000011', '00000011', '00001101')\n('011111', '000011', '00000011', '00001101')\n('000011', '110101', '11101001', '11101110')\n('101010', '110101', '11101001', '11101110')\n('110101', '000011', '00000011', '00001100')\n('011011', '000011', '00000011', '00001100')\n('000011', '110101', '11101001', '11101110')\n('101010', '110101', '11101001', '11101110')\n('110101', '000011', '00000011', '00001100')\n('011011', '000011', '00000011', '00001100')\n('000011', '110101', '11101001', '11101110')\n('101010', '110101', '11101001', '11100001')\n('110101', '000010', '00000010', '00010010')\n('100011', '000010', '00000010', '00010010')\n('000010', '110101', '11101001', '11100001')\n('101010', '110101', '11101001', '11100001')\n('110101', '000010', '00000010', '00010010')\n('100011', '000010', '00000010', '00010010')\n('000010', '110101', '11101001', '11100001')\n('101010', '110101', '11101001', '11100001')\n('110101', '000010', '00000010', '00010011')\n('100000', '000010', '00000010', '00010011')\n('000010', '110101', '11101001', '11100001')\n('101010', '110101', '11101001', '11100001')\n('110101', '000010', '00000010', '00010011')\n('100000', '000010', '00000010', '00010011')\n('000010', '110101', '11101001', '11100001')\n('101010', '110101', '11101001', '11100000')\n('110101', '000110', '00101010', '00111000')\n('000000', '000110', '00101010', '00111000')\n('000110', '110101', '11101001', '11100000')\n('101010', '110101', '11101001', '11100000')\n('110101', '000110', '00101010', '00111000')\n('000000', '000110', '00101010', '00111000')\n('000110', '110101', '11101001', '11100000')\n('101010', '110101', '11101001', '11100000')\n('110101', '000110', '00101010', '00111001')\n('000110', '000110', '00101010', '00111001')\n('000110', '110101', '11101001', '11100000')\n('101010', '110101', '11101001', '11100000')\n('110101', '000110', '00101010', '00111001')\n('000110', '000110', '00101010', '00111001')\n('000110', '110101', '11101001', '11100000')\n('101010', '110101', '11101001', '11100011')\n('110101', '000111', '00101011', '00111111')\n('000001', '000111', '00101011', '00111111')\n('000111', '110101', '11101001', '11100011')\n('101010', '110101', '11101001', '11100011')\n('110101', '000111', '00101011', '00111111')\n('000001', '000111', '00101011', '00111111')\n('000111', '110101', '11101001', '11100011')\n('101010', '110101', '11101001', '11100011')\n('110101', '000111', '00101011', '00111110')\n('000100', '000111', '00101011', '00111110')\n('000111', '110101', '11101001', '11100011')\n('101010', '110101', '11101001', '11100011')\n('110101', '000111', '00101011', '00111110')\n('000100', '000111', '00101011', '00111110')\n('000111', '110101', '11101001', '11100011')\n('101010', '110101', '11101001', '11100010')\n('110101', '000100', '00101000', '00111110')\n('000100', '000100', '00101000', '00111110')\n('000100', '110101', '11101001', '11100010')\n('101010', '110101', '11101001', '11100010')\n('110101', '000100', '00101000', '00111110')\n('000100', '000100', '00101000', '00111110')\n"}︡{"stdout":"('000100', '110101', '11101001', '11100010')\n('101010', '110101', '11101001', '11100010')\n('110101', '000100', '00101000', '00111111')\n('000001', '000100', '00101000', '00111111')\n('000100', '110101', '11101001', '11100010')\n('101010', '110101', '11101001', '11100010')\n('110101', '000100', '00101000', '00111111')\n('000001', '000100', '00101000', '00111111')\n('000100', '110101', '11101001', '11100010')\n('101010', '110101', '11101001', '11100101')\n('110101', '000011', '00000011', '00011011')\n('100010', '000011', '00000011', '00011011')\n('000011', '110101', '11101001', '11100101')\n('101010', '110101', '11101001', '11100101')\n('110101', '000011', '00000011', '00011011')\n('100010', '000011', '00000011', '00011011')\n('000011', '110101', '11101001', '11100101')\n('101010', '110101', '11101001', '11100101')\n('110101', '000011', '00000011', '00011010')\n('100101', '000011', '00000011', '00011010')\n('000011', '110101', '11101001', '11100101')\n('101010', '110101', '11101001', '11100101')\n('110101', '000011', '00000011', '00011010')\n('100101', '000011', '00000011', '00011010')\n('000011', '110101', '11101001', '11100101')\n('101010', '110101', '11101001', '11100100')\n('110101', '000101', '00101001', '00110011')\n('000000', '000101', '00101001', '00110011')\n('000101', '110101', '11101001', '11100100')\n('101010', '110101', '11101001', '11100100')\n('110101', '000101', '00101001', '00110011')\n('000000', '000101', '00101001', '00110011')\n('000101', '110101', '11101001', '11100100')\n('101010', '110101', '11101001', '11100100')\n('110101', '000101', '00101001', '00110010')\n('000011', '000101', '00101001', '00110010')\n('000101', '110101', '11101001', '11100100')\n('101010', '110101', '11101001', '11100100')\n('110101', '000101', '00101001', '00110010')\n('000011', '000101', '00101001', '00110010')\n('000101', '110101', '11101001', '11100100')\n('101010', '110101', '11101001', '11100111')\n('110101', '000000', '00000000', '00011100')\n('100011', '000000', '00000000', '00011100')\n('000000', '110101', '11101001', '11100111')\n('101010', '110101', '11101001', '11100111')\n('110101', '000000', '00000000', '00011100')\n('100011', '000000', '00000000', '00011100')\n('000000', '110101', '11101001', '11100111')\n('101010', '110101', '11101001', '11100111')\n('110101', '000000', '00000000', '00011101')\n('100111', '000000', '00000000', '00011101')\n('000000', '110101', '11101001', '11100111')\n('101010', '110101', '11101001', '11100111')\n('110101', '000000', '00000000', '00011101')\n('100111', '000000', '00000000', '00011101')\n('000000', '110101', '11101001', '11100111')\n('101010', '110101', '11101001', '11100110')\n('110101', '000001', '00000001', '00011111')\n('100001', '000001', '00000001', '00011111')\n('000001', '110101', '11101001', '11100110')\n('101010', '110101', '11101001', '11100110')\n('110101', '000001', '00000001', '00011111')\n('100001', '000001', '00000001', '00011111')\n('000001', '110101', '11101001', '11100110')\n('101010', '110101', '11101001', '11100110')\n('110101', '000001', '00000001', '00011110')\n('100100', '000001', '00000001', '00011110')\n('000001', '110101', '11101001', '11100110')\n('101010', '110101', '11101001', '11100110')\n('110101', '000001', '00000001', '00011110')\n('100100', '000001', '00000001', '00011110')\n('000001', '110101', '11101001', '11100110')\n('101010', '110101', '11101001', '11111001')\n('110101', '110001', '11000001', '11100001')\n('011101', '110001', '11000001', '11100001')\n('110001', '110101', '11101001', '11111001')\n('101010', '110101', '11101001', '11111001')\n('110101', '110001', '11000001', '11100001')\n('011101', '110001', '11000001', '11100001')\n('110001', '110101', '11101001', '11111001')\n('101010', '110101', '11101001', '11111001')\n('110101', '110001', '11000001', '11100000')\n('011001', '110001', '11000001', '11100000')\n('110001', '110101', '11101001', '11111001')\n('101010', '110101', '11101001', '11111001')\n('110101', '110001', '11000001', '11100000')\n('011001', '110001', '11000001', '11100000')\n('110001', '110101', '11101001', '11111001')\n('101010', '110101', '11101001', '11111000')\n('110101', '110111', '11101011', '11001001')\n('110110', '110111', '11101011', '11001001')"}︡{"stdout":"\n('110111', '110101', '11101001', '11111000')\n('101010', '110101', '11101001', '11111000')\n('110101', '110111', '11101011', '11001001')\n('110110', '110111', '11101011', '11001001')\n('110111', '110101', '11101001', '11111000')\n('101010', '110101', '11101001', '11111000')\n('110101', '110111', '11101011', '11001000')\n('110000', '110111', '11101011', '11001000')\n('110111', '110101', '11101001', '11111000')\n('101010', '110101', '11101001', '11111000')\n('110101', '110111', '11101011', '11001000')\n('110000', '110111', '11101011', '11001000')\n('110111', '110101', '11101001', '11111000')\n('101010', '110101', '11101001', '11111011')\n('110101', '110101', '11101001', '11001101')\n('110111', '110101', '11101001', '11001101')\n('110101', '110101', '11101001', '11111011')\n('101010', '110101', '11101001', '11111011')\n('110101', '110101', '11101001', '11001101')\n('110111', '110101', '11101001', '11001101')\n('110101', '110101', '11101001', '11111011')\n('101010', '110101', '11101001', '11111011')\n('110101', '110101', '11101001', '11001100')\n('110011', '110101', '11101001', '11001100')\n('110101', '110101', '11101001', '11111011')\n('101010', '110101', '11101001', '11111011')\n('110101', '110101', '11101001', '11001100')\n('110011', '110101', '11101001', '11001100')\n('110101', '110101', '11101001', '11111011')\n('101010', '110101', '11101001', '11111010')\n('110101', '110010', '11000010', '11100100')\n('011010', '110010', '11000010', '11100100')\n('110010', '110101', '11101001', '11111010')\n('101010', '110101', '11101001', '11111010')\n('110101', '110010', '11000010', '11100100')\n('011010', '110010', '11000010', '11100100')\n('110010', '110101', '11101001', '11111010')\n('101010', '110101', '11101001', '11111010')\n('110101', '110010', '11000010', '11100101')\n('011100', '110010', '11000010', '11100101')\n('110010', '110101', '11101001', '11111010')\n('101010', '110101', '11101001', '11111010')\n('110101', '110010', '11000010', '11100101')\n('011100', '110010', '11000010', '11100101')\n('110010', '110101', '11101001', '11111010')\n('101010', '110101', '11101001', '11111101')\n('110101', '110000', '11000000', '11101000')\n('011000', '110000', '11000000', '11101000')\n('110000', '110101', '11101001', '11111101')\n('101010', '110101', '11101001', '11111101')\n('110101', '110000', '11000000', '11101000')\n('011000', '110000', '11000000', '11101000')\n('110000', '110101', '11101001', '11111101')\n('101010', '110101', '11101001', '11111101')\n('110101', '110000', '11000000', '11101001')\n('011110', '110000', '11000000', '11101001')\n('110000', '110101', '11101001', '11111101')\n('101010', '110101', '11101001', '11111101')\n('110101', '110000', '11000000', '11101001')\n('011110', '110000', '11000000', '11101001')\n('110000', '110101', '11101001', '11111101')\n('101010', '110101', '11101001', '11111100')\n('110101', '110100', '11101000', '11000010')\n('110011', '110100', '11101000', '11000010')\n('110100', '110101', '11101001', '11111100')\n('101010', '110101', '11101001', '11111100')\n('110101', '110100', '11101000', '11000010')\n('110011', '110100', '11101000', '11000010')\n('110100', '110101', '11101001', '11111100')\n('101010', '110101', '11101001', '11111100')\n('110101', '110100', '11101000', '11000011')\n('110000', '110100', '11101000', '11000011')\n('110100', '110101', '11101001', '11111100')\n('101010', '110101', '11101001', '11111100')\n('110101', '110100', '11101000', '11000011')\n('110000', '110100', '11101000', '11000011')\n('110100', '110101', '11101001', '11111100')\n('101010', '110101', '11101001', '11111111')\n('110101', '110110', '11101010', '11000110')\n('110110', '110110', '11101010', '11000110')\n('110110', '110101', '11101001', '11111111')\n('101010', '110101', '11101001', '11111111')\n('110101', '110110', '11101010', '11000110')\n('110110', '110110', '11101010', '11000110')\n('110110', '110101', '11101001', '11111111')\n('101010', '110101', '11101001', '11111111')\n('110101', '110110', '11101010', '11000111')\n('110111', '110110', '11101010', '11000111')\n('110110', '110101', '11101001', '11111111')\n('101010', '110101', '11101001', '11111111')\n('110101', '110110', '11101010', '11000111')\n"}︡{"stdout":"('110111', '110110', '11101010', '11000111')\n('110110', '110101', '11101001', '11111111')\n('101010', '110101', '11101001', '11111110')\n('110101', '110011', '11000011', '11101101')\n('011111', '110011', '11000011', '11101101')\n('110011', '110101', '11101001', '11111110')\n('101010', '110101', '11101001', '11111110')\n('110101', '110011', '11000011', '11101101')\n('011111', '110011', '11000011', '11101101')\n('110011', '110101', '11101001', '11111110')\n('101010', '110101', '11101001', '11111110')\n('110101', '110011', '11000011', '11101100')\n('011011', '110011', '11000011', '11101100')\n('110011', '110101', '11101001', '11111110')\n('101010', '110101', '11101001', '11111110')\n('110101', '110011', '11000011', '11101100')\n('011011', '110011', '11000011', '11101100')\n('110011', '110101', '11101001', '11111110')\n('101010', '110101', '11101001', '11110001')\n('110101', '110010', '11000010', '11110010')\n('101011', '110010', '11000010', '11110010')\n('110010', '110101', '11101001', '11110001')\n('101010', '110101', '11101001', '11110001')\n('110101', '110010', '11000010', '11110010')\n('101011', '110010', '11000010', '11110010')\n('110010', '110101', '11101001', '11110001')\n('101010', '110101', '11101001', '11110001')\n('110101', '110010', '11000010', '11110011')\n('101000', '110010', '11000010', '11110011')\n('110010', '110101', '11101001', '11110001')\n('101010', '110101', '11101001', '11110001')\n('110101', '110010', '11000010', '11110011')\n('101000', '110010', '11000010', '11110011')\n('110010', '110101', '11101001', '11110001')\n('101010', '110101', '11101001', '11110000')\n('110101', '110110', '11101010', '11011000')\n('001000', '110110', '11101010', '11011000')\n('110110', '110101', '11101001', '11110000')\n('101010', '110101', '11101001', '11110000')\n('110101', '110110', '11101010', '11011000')\n('001000', '110110', '11101010', '11011000')\n('110110', '110101', '11101001', '11110000')\n('101010', '110101', '11101001', '11110000')\n('110101', '110110', '11101010', '11011001')\n('001110', '110110', '11101010', '11011001')\n('110110', '110101', '11101001', '11110000')\n('101010', '110101', '11101001', '11110000')\n('110101', '110110', '11101010', '11011001')\n('001110', '110110', '11101010', '11011001')\n('110110', '110101', '11101001', '11110000')\n('101010', '110101', '11101001', '11110011')\n('110101', '110111', '11101011', '11011111')\n('001001', '110111', '11101011', '11011111')\n('110111', '110101', '11101001', '11110011')\n('101010', '110101', '11101001', '11110011')\n('110101', '110111', '11101011', '11011111')\n('001001', '110111', '11101011', '11011111')\n('110111', '110101', '11101001', '11110011')\n('101010', '110101', '11101001', '11110011')\n('110101', '110111', '11101011', '11011110')\n('001100', '110111', '11101011', '11011110')\n('110111', '110101', '11101001', '11110011')\n('101010', '110101', '11101001', '11110011')\n('110101', '110111', '11101011', '11011110')\n('001100', '110111', '11101011', '11011110')\n('110111', '110101', '11101001', '11110011')\n('101010', '110101', '11101001', '11110010')\n('110101', '110100', '11101000', '11011110')\n('001100', '110100', '11101000', '11011110')\n('110100', '110101', '11101001', '11110010')\n('101010', '110101', '11101001', '11110010')\n('110101', '110100', '11101000', '11011110')\n('001100', '110100', '11101000', '11011110')\n('110100', '110101', '11101001', '11110010')\n('101010', '110101', '11101001', '11110010')\n('110101', '110100', '11101000', '11011111')\n('001001', '110100', '11101000', '11011111')\n('110100', '110101', '11101001', '11110010')\n('101010', '110101', '11101001', '11110010')\n('110101', '110100', '11101000', '11011111')\n('001001', '110100', '11101000', '11011111')\n('110100', '110101', '11101001', '11110010')\n('101010', '110101', '11101001', '11110101')\n('110101', '110011', '11000011', '11111011')\n('101010', '110011', '11000011', '11111011')\n('110011', '110101', '11101001', '11110101')\n('101010', '110101', '11101001', '11110101')\n('110101', '110011', '11000011', '11111011')\n('101010', '110011', '11000011', '11111011')\n('110011', '110101', '11101001', '11110101')\n('101010', '110101', '11101001', '11110101')\n('110101', '110011', '11000011', '11111010')"}︡{"stdout":"\n('101101', '110011', '11000011', '11111010')\n('110011', '110101', '11101001', '11110101')\n('101010', '110101', '11101001', '11110101')\n('110101', '110011', '11000011', '11111010')\n('101101', '110011', '11000011', '11111010')\n('110011', '110101', '11101001', '11110101')\n('101010', '110101', '11101001', '11110100')\n('110101', '110101', '11101001', '11010011')\n('001000', '110101', '11101001', '11010011')\n('110101', '110101', '11101001', '11110100')\n('101010', '110101', '11101001', '11110100')\n('110101', '110101', '11101001', '11010011')\n('001000', '110101', '11101001', '11010011')\n('110101', '110101', '11101001', '11110100')\n('101010', '110101', '11101001', '11110100')\n('110101', '110101', '11101001', '11010010')\n('001011', '110101', '11101001', '11010010')\n('110101', '110101', '11101001', '11110100')\n('101010', '110101', '11101001', '11110100')\n('110101', '110101', '11101001', '11010010')\n('001011', '110101', '11101001', '11010010')\n('110101', '110101', '11101001', '11110100')\n('101010', '110101', '11101001', '11110111')\n('110101', '110000', '11000000', '11111100')\n('101011', '110000', '11000000', '11111100')\n('110000', '110101', '11101001', '11110111')\n('101010', '110101', '11101001', '11110111')\n('110101', '110000', '11000000', '11111100')\n('101011', '110000', '11000000', '11111100')\n('110000', '110101', '11101001', '11110111')\n('101010', '110101', '11101001', '11110111')\n('110101', '110000', '11000000', '11111101')\n('101111', '110000', '11000000', '11111101')\n('110000', '110101', '11101001', '11110111')\n('101010', '110101', '11101001', '11110111')\n('110101', '110000', '11000000', '11111101')\n('101111', '110000', '11000000', '11111101')\n('110000', '110101', '11101001', '11110111')\n('101010', '110101', '11101001', '11110110')\n('110101', '110001', '11000001', '11111111')\n('101001', '110001', '11000001', '11111111')\n('110001', '110101', '11101001', '11110110')\n('101010', '110101', '11101001', '11110110')\n('110101', '110001', '11000001', '11111111')\n('101001', '110001', '11000001', '11111111')\n('110001', '110101', '11101001', '11110110')\n('101010', '110101', '11101001', '11110110')\n('110101', '110001', '11000001', '11111110')\n('101100', '110001', '11000001', '11111110')\n('110001', '110101', '11101001', '11110110')\n('101010', '110101', '11101001', '11110110')\n('110101', '110001', '11000001', '11111110')\n('101100', '110001', '11000001', '11111110')\n('110001', '110101', '11101001', '11110110')\n('101010', '110101', '11101001', '11001001')\n('110101', '101001', '10010101', '11010101')\n('001100', '101001', '10010101', '11010101')\n('101001', '110101', '11101001', '11001001')\n('101010', '110101', '11101001', '11001001')\n('110101', '101001', '10010101', '11010101')\n('001100', '101001', '10010101', '11010101')\n('101001', '110101', '11101001', '11001001')\n('101010', '110101', '11101001', '11001001')\n('110101', '101001', '10010101', '11010100')\n('001010', '101001', '10010101', '11010100')\n('101001', '110101', '11101001', '11001001')\n('101010', '110101', '11101001', '11001001')\n('110101', '101001', '10010101', '11010100')\n('001010', '101001', '10010101', '11010100')\n('101001', '110101', '11101001', '11001001')\n('101010', '110101', '11101001', '11001000')\n('110101', '101111', '10111111', '11111101')\n('101111', '101111', '10111111', '11111101')\n('101111', '110101', '11101001', '11001000')\n('101010', '110101', '11101001', '11001000')\n('110101', '101111', '10111111', '11111101')\n('101111', '101111', '10111111', '11111101')\n('101111', '110101', '11101001', '11001000')\n('101010', '110101', '11101001', '11001000')\n('110101', '101111', '10111111', '11111100')\n('101011', '101111', '10111111', '11111100')\n('101111', '110101', '11101001', '11001000')\n('101010', '110101', '11101001', '11001000')\n('110101', '101111', '10111111', '11111100')\n('101011', '101111', '10111111', '11111100')\n('101111', '110101', '11101001', '11001000')\n('101010', '110101', '11101001', '11001011')\n('110101', '101101', '10111101', '11111001')\n('101110', '101101', '10111101', '11111001')\n('101101', '110101', '11101001', '11001011')\n('101010', '110101', '11101001', '11001011')\n"}︡{"stdout":"('110101', '101101', '10111101', '11111001')\n('101110', '101101', '10111101', '11111001')\n('101101', '110101', '11101001', '11001011')\n('101010', '110101', '11101001', '11001011')\n('110101', '101101', '10111101', '11111000')\n('101000', '101101', '10111101', '11111000')\n('101101', '110101', '11101001', '11001011')\n('101010', '110101', '11101001', '11001011')\n('110101', '101101', '10111101', '11111000')\n('101000', '101101', '10111101', '11111000')\n('101101', '110101', '11101001', '11001011')\n('101010', '110101', '11101001', '11001010')\n('110101', '101010', '10010110', '11010000')\n('001001', '101010', '10010110', '11010000')\n('101010', '110101', '11101001', '11001010')\n('101010', '110101', '11101001', '11001010')\n('110101', '101010', '10010110', '11010000')\n('001001', '101010', '10010110', '11010000')\n('101010', '110101', '11101001', '11001010')\n('101010', '110101', '11101001', '11001010')\n('110101', '101010', '10010110', '11010001')\n('001101', '101010', '10010110', '11010001')\n('101010', '110101', '11101001', '11001010')\n('101010', '110101', '11101001', '11001010')\n('110101', '101010', '10010110', '11010001')\n('001101', '101010', '10010110', '11010001')\n('101010', '110101', '11101001', '11001010')\n('101010', '110101', '11101001', '11001101')\n('110101', '101000', '10010100', '11011100')\n('001011', '101000', '10010100', '11011100')\n('101000', '110101', '11101001', '11001101')\n('101010', '110101', '11101001', '11001101')\n('110101', '101000', '10010100', '11011100')\n('001011', '101000', '10010100', '11011100')\n('101000', '110101', '11101001', '11001101')\n('101010', '110101', '11101001', '11001101')\n('110101', '101000', '10010100', '11011101')\n('001111', '101000', '10010100', '11011101')\n('101000', '110101', '11101001', '11001101')\n('101010', '110101', '11101001', '11001101')\n('110101', '101000', '10010100', '11011101')\n('001111', '101000', '10010100', '11011101')\n('101000', '110101', '11101001', '11001101')\n('101010', '110101', '11101001', '11001100')\n('110101', '101100', '10111100', '11110110')\n('101110', '101100', '10111100', '11110110')\n('101100', '110101', '11101001', '11001100')\n('101010', '110101', '11101001', '11001100')\n('110101', '101100', '10111100', '11110110')\n('101110', '101100', '10111100', '11110110')\n('101100', '110101', '11101001', '11001100')\n('101010', '110101', '11101001', '11001100')\n('110101', '101100', '10111100', '11110111')\n('101111', '101100', '10111100', '11110111')\n('101100', '110101', '11101001', '11001100')\n('101010', '110101', '11101001', '11001100')\n('110101', '101100', '10111100', '11110111')\n('101111', '101100', '10111100', '11110111')\n('101100', '110101', '11101001', '11001100')\n('101010', '110101', '11101001', '11001111')\n('110101', '101110', '10111110', '11110010')\n('101011', '101110', '10111110', '11110010')\n('101110', '110101', '11101001', '11001111')\n('101010', '110101', '11101001', '11001111')\n('110101', '101110', '10111110', '11110010')\n('101011', '101110', '10111110', '11110010')\n('101110', '110101', '11101001', '11001111')\n('101010', '110101', '11101001', '11001111')\n('110101', '101110', '10111110', '11110011')\n('101000', '101110', '10111110', '11110011')\n('101110', '110101', '11101001', '11001111')\n('101010', '110101', '11101001', '11001111')\n('110101', '101110', '10111110', '11110011')\n('101000', '101110', '10111110', '11110011')\n('101110', '110101', '11101001', '11001111')\n('101010', '110101', '11101001', '11001110')\n('110101', '101011', '10010111', '11011001')\n('001110', '101011', '10010111', '11011001')\n('101011', '110101', '11101001', '11001110')\n('101010', '110101', '11101001', '11001110')\n('110101', '101011', '10010111', '11011001')\n('001110', '101011', '10010111', '11011001')\n('101011', '110101', '11101001', '11001110')\n('101010', '110101', '11101001', '11001110')\n('110101', '101011', '10010111', '11011000')\n('001000', '101011', '10010111', '11011000')\n('101011', '110101', '11101001', '11001110')\n('101010', '110101', '11101001', '11001110')\n('110101', '101011', '10010111', '11011000')\n('001000', '101011', '10010111', '11011000')\n('101011', '110101', '11101001', '11001110')\n('101010', '110101', '11101001', '11000001')"}︡{"stdout":"\n('110101', '101010', '10010110', '11000110')\n('110110', '101010', '10010110', '11000110')\n('101010', '110101', '11101001', '11000001')\n('101010', '110101', '11101001', '11000001')\n('110101', '101010', '10010110', '11000110')\n('110110', '101010', '10010110', '11000110')\n('101010', '110101', '11101001', '11000001')\n('101010', '110101', '11101001', '11000001')\n('110101', '101010', '10010110', '11000111')\n('110111', '101010', '10010110', '11000111')\n('101010', '110101', '11101001', '11000001')\n('101010', '110101', '11101001', '11000001')\n('110101', '101010', '10010110', '11000111')\n('110111', '101010', '10010110', '11000111')\n('101010', '110101', '11101001', '11000001')\n('101010', '110101', '11101001', '11000000')\n('110101', '101110', '10111110', '11101100')\n('011011', '101110', '10111110', '11101100')\n('101110', '110101', '11101001', '11000000')\n('101010', '110101', '11101001', '11000000')\n('110101', '101110', '10111110', '11101100')\n('011011', '101110', '10111110', '11101100')\n('101110', '110101', '11101001', '11000000')\n('101010', '110101', '11101001', '11000000')\n('110101', '101110', '10111110', '11101101')\n('011111', '101110', '10111110', '11101101')\n('101110', '110101', '11101001', '11000000')\n('101010', '110101', '11101001', '11000000')\n('110101', '101110', '10111110', '11101101')\n('011111', '101110', '10111110', '11101101')\n('101110', '110101', '11101001', '11000000')\n('101010', '110101', '11101001', '11000011')\n('110101', '101111', '10111111', '11101011')\n('011010', '101111', '10111111', '11101011')\n('101111', '110101', '11101001', '11000011')\n('101010', '110101', '11101001', '11000011')\n('110101', '101111', '10111111', '11101011')\n('011010', '101111', '10111111', '11101011')\n('101111', '110101', '11101001', '11000011')\n('101010', '110101', '11101001', '11000011')\n('110101', '101111', '10111111', '11101010')\n('011101', '101111', '10111111', '11101010')\n('101111', '110101', '11101001', '11000011')\n('101010', '110101', '11101001', '11000011')\n('110101', '101111', '10111111', '11101010')\n('011101', '101111', '10111111', '11101010')\n('101111', '110101', '11101001', '11000011')\n('101010', '110101', '11101001', '11000010')\n('110101', '101100', '10111100', '11101010')\n('011101', '101100', '10111100', '11101010')\n('101100', '110101', '11101001', '11000010')\n('101010', '110101', '11101001', '11000010')\n('110101', '101100', '10111100', '11101010')\n('011101', '101100', '10111100', '11101010')\n('101100', '110101', '11101001', '11000010')\n('101010', '110101', '11101001', '11000010')\n('110101', '101100', '10111100', '11101011')\n('011010', '101100', '10111100', '11101011')\n('101100', '110101', '11101001', '11000010')\n('101010', '110101', '11101001', '11000010')\n('110101', '101100', '10111100', '11101011')\n('011010', '101100', '10111100', '11101011')\n('101100', '110101', '11101001', '11000010')\n('101010', '110101', '11101001', '11000101')\n('110101', '101011', '10010111', '11001111')\n('110001', '101011', '10010111', '11001111')\n('101011', '110101', '11101001', '11000101')\n('101010', '110101', '11101001', '11000101')\n('110101', '101011', '10010111', '11001111')\n('110001', '101011', '10010111', '11001111')\n('101011', '110101', '11101001', '11000101')\n('101010', '110101', '11101001', '11000101')\n('110101', '101011', '10010111', '11001110')\n('110100', '101011', '10010111', '11001110')\n('101011', '110101', '11101001', '11000101')\n('101010', '110101', '11101001', '11000101')\n('110101', '101011', '10010111', '11001110')\n('110100', '101011', '10010111', '11001110')\n('101011', '110101', '11101001', '11000101')\n('101010', '110101', '11101001', '11000100')\n('110101', '101101', '10111101', '11100111')\n('011111', '101101', '10111101', '11100111')\n('101101', '110101', '11101001', '11000100')\n('101010', '110101', '11101001', '11000100')\n('110101', '101101', '10111101', '11100111')\n('011111', '101101', '10111101', '11100111')\n('101101', '110101', '11101001', '11000100')\n('101010', '110101', '11101001', '11000100')\n('110101', '101101', '10111101', '11100110')\n('011110', '101101', '10111101', '11100110')\n('101101', '110101', '11101001', '11000100')\n"}︡{"stdout":"('101010', '110101', '11101001', '11000100')\n('110101', '101101', '10111101', '11100110')\n('011110', '101101', '10111101', '11100110')\n('101101', '110101', '11101001', '11000100')\n('101010', '110101', '11101001', '11000111')\n('110101', '101000', '10010100', '11001000')\n('110000', '101000', '10010100', '11001000')\n('101000', '110101', '11101001', '11000111')\n('101010', '110101', '11101001', '11000111')\n('110101', '101000', '10010100', '11001000')\n('110000', '101000', '10010100', '11001000')\n('101000', '110101', '11101001', '11000111')\n('101010', '110101', '11101001', '11000111')\n('110101', '101000', '10010100', '11001001')\n('110110', '101000', '10010100', '11001001')\n('101000', '110101', '11101001', '11000111')\n('101010', '110101', '11101001', '11000111')\n('110101', '101000', '10010100', '11001001')\n('110110', '101000', '10010100', '11001001')\n('101000', '110101', '11101001', '11000111')\n('101010', '110101', '11101001', '11000110')\n('110101', '101001', '10010101', '11001011')\n('110010', '101001', '10010101', '11001011')\n('101001', '110101', '11101001', '11000110')\n('101010', '110101', '11101001', '11000110')\n('110101', '101001', '10010101', '11001011')\n('110010', '101001', '10010101', '11001011')\n('101001', '110101', '11101001', '11000110')\n('101010', '110101', '11101001', '11000110')\n('110101', '101001', '10010101', '11001010')\n('110101', '101001', '10010101', '11001010')\n('101001', '110101', '11101001', '11000110')\n('101010', '110101', '11101001', '11000110')\n('110101', '101001', '10010101', '11001010')\n('110101', '101001', '10010101', '11001010')\n('101001', '110101', '11101001', '11000110')\n('101010', '110101', '11101001', '11011001')\n('110101', '010001', '01000001', '00100001')\n('111101', '010001', '01000001', '00100001')\n('010001', '110101', '11101001', '11011001')\n('101010', '110101', '11101001', '11011001')\n('110101', '010001', '01000001', '00100001')\n('111101', '010001', '01000001', '00100001')\n('010001', '110101', '11101001', '11011001')\n('101010', '110101', '11101001', '11011001')\n('110101', '010001', '01000001', '00100000')\n('111001', '010001', '01000001', '00100000')\n('010001', '110101', '11101001', '11011001')\n('101010', '110101', '11101001', '11011001')\n('110101', '010001', '01000001', '00100000')\n('111001', '010001', '01000001', '00100000')\n('010001', '110101', '11101001', '11011001')\n('101010', '110101', '11101001', '11011000')\n('110101', '010111', '01101011', '00001001')\n('011110', '010111', '01101011', '00001001')\n('010111', '110101', '11101001', '11011000')\n('101010', '110101', '11101001', '11011000')\n('110101', '010111', '01101011', '00001001')\n('011110', '010111', '01101011', '00001001')\n('010111', '110101', '11101001', '11011000')\n('101010', '110101', '11101001', '11011000')\n('110101', '010111', '01101011', '00001000')\n('011000', '010111', '01101011', '00001000')\n('010111', '110101', '11101001', '11011000')\n('101010', '110101', '11101001', '11011000')\n('110101', '010111', '01101011', '00001000')\n('011000', '010111', '01101011', '00001000')\n('010111', '110101', '11101001', '11011000')\n('101010', '110101', '11101001', '11011011')\n('110101', '010101', '01101001', '00001101')\n('011111', '010101', '01101001', '00001101')\n('010101', '110101', '11101001', '11011011')\n('101010', '110101', '11101001', '11011011')\n('110101', '010101', '01101001', '00001101')\n('011111', '010101', '01101001', '00001101')\n('010101', '110101', '11101001', '11011011')\n('101010', '110101', '11101001', '11011011')\n('110101', '010101', '01101001', '00001100')\n('011011', '010101', '01101001', '00001100')\n('010101', '110101', '11101001', '11011011')\n('101010', '110101', '11101001', '11011011')\n('110101', '010101', '01101001', '00001100')\n('011011', '010101', '01101001', '00001100')\n('010101', '110101', '11101001', '11011011')\n('101010', '110101', '11101001', '11011010')\n('110101', '010010', '01000010', '00100100')\n('111010', '010010', '01000010', '00100100')\n('010010', '110101', '11101001', '11011010')\n('101010', '110101', '11101001', '11011010')\n('110101', '010010', '01000010', '00100100')\n('111010', '010010', '01000010', '00100100')\n('010010', '110101', '11101001', '11011010')"}︡{"stdout":"\n('101010', '110101', '11101001', '11011010')\n('110101', '010010', '01000010', '00100101')\n('111100', '010010', '01000010', '00100101')\n('010010', '110101', '11101001', '11011010')\n('101010', '110101', '11101001', '11011010')\n('110101', '010010', '01000010', '00100101')\n('111100', '010010', '01000010', '00100101')\n('010010', '110101', '11101001', '11011010')\n('101010', '110101', '11101001', '11011101')\n('110101', '010000', '01000000', '00101000')\n('111000', '010000', '01000000', '00101000')\n('010000', '110101', '11101001', '11011101')\n('101010', '110101', '11101001', '11011101')\n('110101', '010000', '01000000', '00101000')\n('111000', '010000', '01000000', '00101000')\n('010000', '110101', '11101001', '11011101')\n('101010', '110101', '11101001', '11011101')\n('110101', '010000', '01000000', '00101001')\n('111110', '010000', '01000000', '00101001')\n('010000', '110101', '11101001', '11011101')\n('101010', '110101', '11101001', '11011101')\n('110101', '010000', '01000000', '00101001')\n('111110', '010000', '01000000', '00101001')\n('010000', '110101', '11101001', '11011101')\n('101010', '110101', '11101001', '11011100')\n('110101', '010100', '01101000', '00000010')\n('011011', '010100', '01101000', '00000010')\n('010100', '110101', '11101001', '11011100')\n('101010', '110101', '11101001', '11011100')\n('110101', '010100', '01101000', '00000010')\n('011011', '010100', '01101000', '00000010')\n('010100', '110101', '11101001', '11011100')\n('101010', '110101', '11101001', '11011100')\n('110101', '010100', '01101000', '00000011')\n('011000', '010100', '01101000', '00000011')\n('010100', '110101', '11101001', '11011100')\n('101010', '110101', '11101001', '11011100')\n('110101', '010100', '01101000', '00000011')\n('011000', '010100', '01101000', '00000011')\n('010100', '110101', '11101001', '11011100')\n('101010', '110101', '11101001', '11011111')\n('110101', '010110', '01101010', '00000110')\n('011110', '010110', '01101010', '00000110')\n('010110', '110101', '11101001', '11011111')\n('101010', '110101', '11101001', '11011111')\n('110101', '010110', '01101010', '00000110')\n('011110', '010110', '01101010', '00000110')\n('010110', '110101', '11101001', '11011111')\n('101010', '110101', '11101001', '11011111')\n('110101', '010110', '01101010', '00000111')\n('011111', '010110', '01101010', '00000111')\n('010110', '110101', '11101001', '11011111')\n('101010', '110101', '11101001', '11011111')\n('110101', '010110', '01101010', '00000111')\n('011111', '010110', '01101010', '00000111')\n('010110', '110101', '11101001', '11011111')\n('101010', '110101', '11101001', '11011110')\n('110101', '010011', '01000011', '00101101')\n('111111', '010011', '01000011', '00101101')\n('010011', '110101', '11101001', '11011110')\n('101010', '110101', '11101001', '11011110')\n('110101', '010011', '01000011', '00101101')\n('111111', '010011', '01000011', '00101101')\n('010011', '110101', '11101001', '11011110')\n('101010', '110101', '11101001', '11011110')\n('110101', '010011', '01000011', '00101100')\n('111011', '010011', '01000011', '00101100')\n('010011', '110101', '11101001', '11011110')\n('101010', '110101', '11101001', '11011110')\n('110101', '010011', '01000011', '00101100')\n('111011', '010011', '01000011', '00101100')\n('010011', '110101', '11101001', '11011110')\n('101010', '110101', '11101001', '11010001')\n('110101', '010010', '01000010', '00110010')\n('000011', '010010', '01000010', '00110010')\n('010010', '110101', '11101001', '11010001')\n('101010', '110101', '11101001', '11010001')\n('110101', '010010', '01000010', '00110010')\n('000011', '010010', '01000010', '00110010')\n('010010', '110101', '11101001', '11010001')\n('101010', '110101', '11101001', '11010001')\n('110101', '010010', '01000010', '00110011')\n('000000', '010010', '01000010', '00110011')\n('010010', '110101', '11101001', '11010001')\n('101010', '110101', '11101001', '11010001')\n('110101', '010010', '01000010', '00110011')\n('000000', '010010', '01000010', '00110011')\n('010010', '110101', '11101001', '11010001')\n('101010', '110101', '11101001', '11010000')\n('110101', '010110', '01101010', '00011000')\n('100000', '010110', '01101010', '00011000')\n"}︡{"stdout":"('010110', '110101', '11101001', '11010000')\n('101010', '110101', '11101001', '11010000')\n('110101', '010110', '01101010', '00011000')\n('100000', '010110', '01101010', '00011000')\n('010110', '110101', '11101001', '11010000')\n('101010', '110101', '11101001', '11010000')\n('110101', '010110', '01101010', '00011001')\n('100110', '010110', '01101010', '00011001')\n('010110', '110101', '11101001', '11010000')\n('101010', '110101', '11101001', '11010000')\n('110101', '010110', '01101010', '00011001')\n('100110', '010110', '01101010', '00011001')\n('010110', '110101', '11101001', '11010000')\n('101010', '110101', '11101001', '11010011')\n('110101', '010111', '01101011', '00011111')\n('100001', '010111', '01101011', '00011111')\n('010111', '110101', '11101001', '11010011')\n('101010', '110101', '11101001', '11010011')\n('110101', '010111', '01101011', '00011111')\n('100001', '010111', '01101011', '00011111')\n('010111', '110101', '11101001', '11010011')\n('101010', '110101', '11101001', '11010011')\n('110101', '010111', '01101011', '00011110')\n('100100', '010111', '01101011', '00011110')\n('010111', '110101', '11101001', '11010011')\n('101010', '110101', '11101001', '11010011')\n('110101', '010111', '01101011', '00011110')\n('100100', '010111', '01101011', '00011110')\n('010111', '110101', '11101001', '11010011')\n('101010', '110101', '11101001', '11010010')\n('110101', '010100', '01101000', '00011110')\n('100100', '010100', '01101000', '00011110')\n('010100', '110101', '11101001', '11010010')\n('101010', '110101', '11101001', '11010010')\n('110101', '010100', '01101000', '00011110')\n('100100', '010100', '01101000', '00011110')\n('010100', '110101', '11101001', '11010010')\n('101010', '110101', '11101001', '11010010')\n('110101', '010100', '01101000', '00011111')\n('100001', '010100', '01101000', '00011111')\n('010100', '110101', '11101001', '11010010')\n('101010', '110101', '11101001', '11010010')\n('110101', '010100', '01101000', '00011111')\n('100001', '010100', '01101000', '00011111')\n('010100', '110101', '11101001', '11010010')\n('101010', '110101', '11101001', '11010101')\n('110101', '010011', '01000011', '00111011')\n('000010', '010011', '01000011', '00111011')\n('010011', '110101', '11101001', '11010101')\n('101010', '110101', '11101001', '11010101')\n('110101', '010011', '01000011', '00111011')\n('000010', '010011', '01000011', '00111011')\n('010011', '110101', '11101001', '11010101')\n('101010', '110101', '11101001', '11010101')\n('110101', '010011', '01000011', '00111010')\n('000101', '010011', '01000011', '00111010')\n('010011', '110101', '11101001', '11010101')\n('101010', '110101', '11101001', '11010101')\n('110101', '010011', '01000011', '00111010')\n('000101', '010011', '01000011', '00111010')\n('010011', '110101', '11101001', '11010101')\n('101010', '110101', '11101001', '11010100')\n('110101', '010101', '01101001', '00010011')\n('100000', '010101', '01101001', '00010011')\n('010101', '110101', '11101001', '11010100')\n('101010', '110101', '11101001', '11010100')\n('110101', '010101', '01101001', '00010011')\n('100000', '010101', '01101001', '00010011')\n('010101', '110101', '11101001', '11010100')\n('101010', '110101', '11101001', '11010100')\n('110101', '010101', '01101001', '00010010')\n('100011', '010101', '01101001', '00010010')\n('010101', '110101', '11101001', '11010100')\n('101010', '110101', '11101001', '11010100')\n('110101', '010101', '01101001', '00010010')\n('100011', '010101', '01101001', '00010010')\n('010101', '110101', '11101001', '11010100')\n('101010', '110101', '11101001', '11010111')\n('110101', '010000', '01000000', '00111100')\n('000011', '010000', '01000000', '00111100')\n('010000', '110101', '11101001', '11010111')\n('101010', '110101', '11101001', '11010111')\n('110101', '010000', '01000000', '00111100')\n('000011', '010000', '01000000', '00111100')\n('010000', '110101', '11101001', '11010111')\n('101010', '110101', '11101001', '11010111')\n('110101', '010000', '01000000', '00111101')\n('000111', '010000', '01000000', '00111101')\n('010000', '110101', '11101001', '11010111')\n('101010', '110101', '11101001', '11010111')\n('110101', '010000', '01000000', '00111101')\n('000111', '010000', '01000000', '00111101')"}︡{"stdout":"\n('010000', '110101', '11101001', '11010111')\n('101010', '110101', '11101001', '11010110')\n('110101', '010001', '01000001', '00111111')\n('000001', '010001', '01000001', '00111111')\n('010001', '110101', '11101001', '11010110')\n('101010', '110101', '11101001', '11010110')\n('110101', '010001', '01000001', '00111111')\n('000001', '010001', '01000001', '00111111')\n('010001', '110101', '11101001', '11010110')\n('101010', '110101', '11101001', '11010110')\n('110101', '010001', '01000001', '00111110')\n('000100', '010001', '01000001', '00111110')\n('010001', '110101', '11101001', '11010110')\n('101010', '110101', '11101001', '11010110')\n('110101', '010001', '01000001', '00111110')\n('000100', '010001', '01000001', '00111110')\n('010001', '110101', '11101001', '11010110')\n('101010', '110101', '11101001', '10101001')\n('110101', '011001', '01010101', '11010101')\n('001100', '011001', '01010101', '11010101')\n('011001', '110101', '11101001', '10101001')\n('101010', '110101', '11101001', '10101001')\n('110101', '011001', '01010101', '11010101')\n('001100', '011001', '01010101', '11010101')\n('011001', '110101', '11101001', '10101001')\n('101010', '110101', '11101001', '10101001')\n('110101', '011001', '01010101', '11010100')\n('001010', '011001', '01010101', '11010100')\n('011001', '110101', '11101001', '10101001')\n('101010', '110101', '11101001', '10101001')\n('110101', '011001', '01010101', '11010100')\n('001010', '011001', '01010101', '11010100')\n('011001', '110101', '11101001', '10101001')\n('101010', '110101', '11101001', '10101000')\n('110101', '011111', '01111111', '11111101')\n('101111', '011111', '01111111', '11111101')\n('011111', '110101', '11101001', '10101000')\n('101010', '110101', '11101001', '10101000')\n('110101', '011111', '01111111', '11111101')\n('101111', '011111', '01111111', '11111101')\n('011111', '110101', '11101001', '10101000')\n('101010', '110101', '11101001', '10101000')\n('110101', '011111', '01111111', '11111100')\n('101011', '011111', '01111111', '11111100')\n('011111', '110101', '11101001', '10101000')\n('101010', '110101', '11101001', '10101000')\n('110101', '011111', '01111111', '11111100')\n('101011', '011111', '01111111', '11111100')\n('011111', '110101', '11101001', '10101000')\n('101010', '110101', '11101001', '10101011')\n('110101', '011101', '01111101', '11111001')\n('101110', '011101', '01111101', '11111001')\n('011101', '110101', '11101001', '10101011')\n('101010', '110101', '11101001', '10101011')\n('110101', '011101', '01111101', '11111001')\n('101110', '011101', '01111101', '11111001')\n('011101', '110101', '11101001', '10101011')\n('101010', '110101', '11101001', '10101011')\n('110101', '011101', '01111101', '11111000')\n('101000', '011101', '01111101', '11111000')\n('011101', '110101', '11101001', '10101011')\n('101010', '110101', '11101001', '10101011')\n('110101', '011101', '01111101', '11111000')\n('101000', '011101', '01111101', '11111000')\n('011101', '110101', '11101001', '10101011')\n('101010', '110101', '11101001', '10101010')\n('110101', '011010', '01010110', '11010000')\n('001001', '011010', '01010110', '11010000')\n('011010', '110101', '11101001', '10101010')\n('101010', '110101', '11101001', '10101010')\n('110101', '011010', '01010110', '11010000')\n('001001', '011010', '01010110', '11010000')\n('011010', '110101', '11101001', '10101010')\n('101010', '110101', '11101001', '10101010')\n('110101', '011010', '01010110', '11010001')\n('001101', '011010', '01010110', '11010001')\n('011010', '110101', '11101001', '10101010')\n('101010', '110101', '11101001', '10101010')\n('110101', '011010', '01010110', '11010001')\n('001101', '011010', '01010110', '11010001')\n('011010', '110101', '11101001', '10101010')\n('101010', '110101', '11101001', '10101101')\n('110101', '011000', '01010100', '11011100')\n('001011', '011000', '01010100', '11011100')\n('011000', '110101', '11101001', '10101101')\n('101010', '110101', '11101001', '10101101')\n('110101', '011000', '01010100', '11011100')\n('001011', '011000', '01010100', '11011100')\n('011000', '110101', '11101001', '10101101')\n('101010', '110101', '11101001', '10101101')\n('110101', '011000', '01010100', '11011101')\n"}︡{"stdout":"('001111', '011000', '01010100', '11011101')\n('011000', '110101', '11101001', '10101101')\n('101010', '110101', '11101001', '10101101')\n('110101', '011000', '01010100', '11011101')\n('001111', '011000', '01010100', '11011101')\n('011000', '110101', '11101001', '10101101')\n('101010', '110101', '11101001', '10101100')\n('110101', '011100', '01111100', '11110110')\n('101110', '011100', '01111100', '11110110')\n('011100', '110101', '11101001', '10101100')\n('101010', '110101', '11101001', '10101100')\n('110101', '011100', '01111100', '11110110')\n('101110', '011100', '01111100', '11110110')\n('011100', '110101', '11101001', '10101100')\n('101010', '110101', '11101001', '10101100')\n('110101', '011100', '01111100', '11110111')\n('101111', '011100', '01111100', '11110111')\n('011100', '110101', '11101001', '10101100')\n('101010', '110101', '11101001', '10101100')\n('110101', '011100', '01111100', '11110111')\n('101111', '011100', '01111100', '11110111')\n('011100', '110101', '11101001', '10101100')\n('101010', '110101', '11101001', '10101111')\n('110101', '011110', '01111110', '11110010')\n('101011', '011110', '01111110', '11110010')\n('011110', '110101', '11101001', '10101111')\n('101010', '110101', '11101001', '10101111')\n('110101', '011110', '01111110', '11110010')\n('101011', '011110', '01111110', '11110010')\n('011110', '110101', '11101001', '10101111')\n('101010', '110101', '11101001', '10101111')\n('110101', '011110', '01111110', '11110011')\n('101000', '011110', '01111110', '11110011')\n('011110', '110101', '11101001', '10101111')\n('101010', '110101', '11101001', '10101111')\n('110101', '011110', '01111110', '11110011')\n('101000', '011110', '01111110', '11110011')\n('011110', '110101', '11101001', '10101111')\n('101010', '110101', '11101001', '10101110')\n('110101', '011011', '01010111', '11011001')\n('001110', '011011', '01010111', '11011001')\n('011011', '110101', '11101001', '10101110')\n('101010', '110101', '11101001', '10101110')\n('110101', '011011', '01010111', '11011001')\n('001110', '011011', '01010111', '11011001')\n('011011', '110101', '11101001', '10101110')\n('101010', '110101', '11101001', '10101110')\n('110101', '011011', '01010111', '11011000')\n('001000', '011011', '01010111', '11011000')\n('011011', '110101', '11101001', '10101110')\n('101010', '110101', '11101001', '10101110')\n('110101', '011011', '01010111', '11011000')\n('001000', '011011', '01010111', '11011000')\n('011011', '110101', '11101001', '10101110')\n('101010', '110101', '11101001', '10100001')\n('110101', '011010', '01010110', '11000110')\n('110110', '011010', '01010110', '11000110')\n('011010', '110101', '11101001', '10100001')\n('101010', '110101', '11101001', '10100001')\n('110101', '011010', '01010110', '11000110')\n('110110', '011010', '01010110', '11000110')\n('011010', '110101', '11101001', '10100001')\n('101010', '110101', '11101001', '10100001')\n('110101', '011010', '01010110', '11000111')\n('110111', '011010', '01010110', '11000111')\n('011010', '110101', '11101001', '10100001')\n('101010', '110101', '11101001', '10100001')\n('110101', '011010', '01010110', '11000111')\n('110111', '011010', '01010110', '11000111')\n('011010', '110101', '11101001', '10100001')\n('101010', '110101', '11101001', '10100000')\n('110101', '011110', '01111110', '11101100')\n('011011', '011110', '01111110', '11101100')\n('011110', '110101', '11101001', '10100000')\n('101010', '110101', '11101001', '10100000')\n('110101', '011110', '01111110', '11101100')\n('011011', '011110', '01111110', '11101100')\n('011110', '110101', '11101001', '10100000')\n('101010', '110101', '11101001', '10100000')\n('110101', '011110', '01111110', '11101101')\n('011111', '011110', '01111110', '11101101')\n('011110', '110101', '11101001', '10100000')\n('101010', '110101', '11101001', '10100000')\n('110101', '011110', '01111110', '11101101')\n('011111', '011110', '01111110', '11101101')\n('011110', '110101', '11101001', '10100000')\n('101010', '110101', '11101001', '10100011')\n('110101', '011111', '01111111', '11101011')\n('011010', '011111', '01111111', '11101011')\n('011111', '110101', '11101001', '10100011')\n('101010', '110101', '11101001', '10100011')\n('110101', '011111', '01111111', '11101011')"}︡{"stdout":"\n('011010', '011111', '01111111', '11101011')\n('011111', '110101', '11101001', '10100011')\n('101010', '110101', '11101001', '10100011')\n('110101', '011111', '01111111', '11101010')\n('011101', '011111', '01111111', '11101010')\n('011111', '110101', '11101001', '10100011')\n('101010', '110101', '11101001', '10100011')\n('110101', '011111', '01111111', '11101010')\n('011101', '011111', '01111111', '11101010')\n('011111', '110101', '11101001', '10100011')\n('101010', '110101', '11101001', '10100010')\n('110101', '011100', '01111100', '11101010')\n('011101', '011100', '01111100', '11101010')\n('011100', '110101', '11101001', '10100010')\n('101010', '110101', '11101001', '10100010')\n('110101', '011100', '01111100', '11101010')\n('011101', '011100', '01111100', '11101010')\n('011100', '110101', '11101001', '10100010')\n('101010', '110101', '11101001', '10100010')\n('110101', '011100', '01111100', '11101011')\n('011010', '011100', '01111100', '11101011')\n('011100', '110101', '11101001', '10100010')\n('101010', '110101', '11101001', '10100010')\n('110101', '011100', '01111100', '11101011')\n('011010', '011100', '01111100', '11101011')\n('011100', '110101', '11101001', '10100010')\n('101010', '110101', '11101001', '10100101')\n('110101', '011011', '01010111', '11001111')\n('110001', '011011', '01010111', '11001111')\n('011011', '110101', '11101001', '10100101')\n('101010', '110101', '11101001', '10100101')\n('110101', '011011', '01010111', '11001111')\n('110001', '011011', '01010111', '11001111')\n('011011', '110101', '11101001', '10100101')\n('101010', '110101', '11101001', '10100101')\n('110101', '011011', '01010111', '11001110')\n('110100', '011011', '01010111', '11001110')\n('011011', '110101', '11101001', '10100101')\n('101010', '110101', '11101001', '10100101')\n('110101', '011011', '01010111', '11001110')\n('110100', '011011', '01010111', '11001110')\n('011011', '110101', '11101001', '10100101')\n('101010', '110101', '11101001', '10100100')\n('110101', '011101', '01111101', '11100111')\n('011111', '011101', '01111101', '11100111')\n('011101', '110101', '11101001', '10100100')\n('101010', '110101', '11101001', '10100100')\n('110101', '011101', '01111101', '11100111')\n('011111', '011101', '01111101', '11100111')\n('011101', '110101', '11101001', '10100100')\n('101010', '110101', '11101001', '10100100')\n('110101', '011101', '01111101', '11100110')\n('011110', '011101', '01111101', '11100110')\n('011101', '110101', '11101001', '10100100')\n('101010', '110101', '11101001', '10100100')\n('110101', '011101', '01111101', '11100110')\n('011110', '011101', '01111101', '11100110')\n('011101', '110101', '11101001', '10100100')\n('101010', '110101', '11101001', '10100111')\n('110101', '011000', '01010100', '11001000')\n('110000', '011000', '01010100', '11001000')\n('011000', '110101', '11101001', '10100111')\n('101010', '110101', '11101001', '10100111')\n('110101', '011000', '01010100', '11001000')\n('110000', '011000', '01010100', '11001000')\n('011000', '110101', '11101001', '10100111')\n('101010', '110101', '11101001', '10100111')\n('110101', '011000', '01010100', '11001001')\n('110110', '011000', '01010100', '11001001')\n('011000', '110101', '11101001', '10100111')\n('101010', '110101', '11101001', '10100111')\n('110101', '011000', '01010100', '11001001')\n('110110', '011000', '01010100', '11001001')\n('011000', '110101', '11101001', '10100111')\n('101010', '110101', '11101001', '10100110')\n('110101', '011001', '01010101', '11001011')\n('110010', '011001', '01010101', '11001011')\n('011001', '110101', '11101001', '10100110')\n('101010', '110101', '11101001', '10100110')\n('110101', '011001', '01010101', '11001011')\n('110010', '011001', '01010101', '11001011')\n('011001', '110101', '11101001', '10100110')\n('101010', '110101', '11101001', '10100110')\n('110101', '011001', '01010101', '11001010')\n('110101', '011001', '01010101', '11001010')\n('011001', '110101', '11101001', '10100110')\n('101010', '110101', '11101001', '10100110')\n('110101', '011001', '01010101', '11001010')\n('110101', '011001', '01010101', '11001010')\n('011001', '110101', '11101001', '10100110')\n('101010', '110101', '11101001', '10111001')\n"}︡{"stdout":"('110101', '111001', '11010101', '01110101')\n('110100', '111001', '11010101', '01110101')\n('111001', '110101', '11101001', '10111001')\n('101010', '110101', '11101001', '10111001')\n('110101', '111001', '11010101', '01110101')\n('110100', '111001', '11010101', '01110101')\n('111001', '110101', '11101001', '10111001')\n('101010', '110101', '11101001', '10111001')\n('110101', '111001', '11010101', '01110100')\n('110010', '111001', '11010101', '01110100')\n('111001', '110101', '11101001', '10111001')\n('101010', '110101', '11101001', '10111001')\n('110101', '111001', '11010101', '01110100')\n('110010', '111001', '11010101', '01110100')\n('111001', '110101', '11101001', '10111001')\n('101010', '110101', '11101001', '10111000')\n('110101', '111111', '11111111', '01011101')\n('010111', '111111', '11111111', '01011101')\n('111111', '110101', '11101001', '10111000')\n('101010', '110101', '11101001', '10111000')\n('110101', '111111', '11111111', '01011101')\n('010111', '111111', '11111111', '01011101')\n('111111', '110101', '11101001', '10111000')\n('101010', '110101', '11101001', '10111000')\n('110101', '111111', '11111111', '01011100')\n('010011', '111111', '11111111', '01011100')\n('111111', '110101', '11101001', '10111000')\n('101010', '110101', '11101001', '10111000')\n('110101', '111111', '11111111', '01011100')\n('010011', '111111', '11111111', '01011100')\n('111111', '110101', '11101001', '10111000')\n('101010', '110101', '11101001', '10111011')\n('110101', '111101', '11111101', '01011001')\n('010110', '111101', '11111101', '01011001')\n('111101', '110101', '11101001', '10111011')\n('101010', '110101', '11101001', '10111011')\n('110101', '111101', '11111101', '01011001')\n('010110', '111101', '11111101', '01011001')\n('111101', '110101', '11101001', '10111011')\n('101010', '110101', '11101001', '10111011')\n('110101', '111101', '11111101', '01011000')\n('010000', '111101', '11111101', '01011000')\n('111101', '110101', '11101001', '10111011')\n('101010', '110101', '11101001', '10111011')\n('110101', '111101', '11111101', '01011000')\n('010000', '111101', '11111101', '01011000')\n('111101', '110101', '11101001', '10111011')\n('101010', '110101', '11101001', '10111010')\n('110101', '111010', '11010110', '01110000')\n('110001', '111010', '11010110', '01110000')\n('111010', '110101', '11101001', '10111010')\n('101010', '110101', '11101001', '10111010')\n('110101', '111010', '11010110', '01110000')\n('110001', '111010', '11010110', '01110000')\n('111010', '110101', '11101001', '10111010')\n('101010', '110101', '11101001', '10111010')\n('110101', '111010', '11010110', '01110001')\n('110101', '111010', '11010110', '01110001')\n('111010', '110101', '11101001', '10111010')\n('101010', '110101', '11101001', '10111010')\n('110101', '111010', '11010110', '01110001')\n('110101', '111010', '11010110', '01110001')\n('111010', '110101', '11101001', '10111010')\n('101010', '110101', '11101001', '10111101')\n('110101', '111000', '11010100', '01111100')\n('110011', '111000', '11010100', '01111100')\n('111000', '110101', '11101001', '10111101')\n('101010', '110101', '11101001', '10111101')\n('110101', '111000', '11010100', '01111100')\n('110011', '111000', '11010100', '01111100')\n('111000', '110101', '11101001', '10111101')\n('101010', '110101', '11101001', '10111101')\n('110101', '111000', '11010100', '01111101')\n('110111', '111000', '11010100', '01111101')\n('111000', '110101', '11101001', '10111101')\n('101010', '110101', '11101001', '10111101')\n('110101', '111000', '11010100', '01111101')\n('110111', '111000', '11010100', '01111101')\n('111000', '110101', '11101001', '10111101')\n('101010', '110101', '11101001', '10111100')\n('110101', '111100', '11111100', '01010110')\n('010110', '111100', '11111100', '01010110')\n('111100', '110101', '11101001', '10111100')\n('101010', '110101', '11101001', '10111100')\n('110101', '111100', '11111100', '01010110')\n('010110', '111100', '11111100', '01010110')\n('111100', '110101', '11101001', '10111100')\n('101010', '110101', '11101001', '10111100')\n('110101', '111100', '11111100', '01010111')\n('010111', '111100', '11111100', '01010111')\n('111100', '110101', '11101001', '10111100')\n('101010', '110101', '11101001', '10111100')"}︡{"stdout":"\n('110101', '111100', '11111100', '01010111')\n('010111', '111100', '11111100', '01010111')\n('111100', '110101', '11101001', '10111100')\n('101010', '110101', '11101001', '10111111')\n('110101', '111110', '11111110', '01010010')\n('010011', '111110', '11111110', '01010010')\n('111110', '110101', '11101001', '10111111')\n('101010', '110101', '11101001', '10111111')\n('110101', '111110', '11111110', '01010010')\n('010011', '111110', '11111110', '01010010')\n('111110', '110101', '11101001', '10111111')\n('101010', '110101', '11101001', '10111111')\n('110101', '111110', '11111110', '01010011')\n('010000', '111110', '11111110', '01010011')\n('111110', '110101', '11101001', '10111111')\n('101010', '110101', '11101001', '10111111')\n('110101', '111110', '11111110', '01010011')\n('010000', '111110', '11111110', '01010011')\n('111110', '110101', '11101001', '10111111')\n('101010', '110101', '11101001', '10111110')\n('110101', '111011', '11010111', '01111001')\n('110110', '111011', '11010111', '01111001')\n('111011', '110101', '11101001', '10111110')\n('101010', '110101', '11101001', '10111110')\n('110101', '111011', '11010111', '01111001')\n('110110', '111011', '11010111', '01111001')\n('111011', '110101', '11101001', '10111110')\n('101010', '110101', '11101001', '10111110')\n('110101', '111011', '11010111', '01111000')\n('110000', '111011', '11010111', '01111000')\n('111011', '110101', '11101001', '10111110')\n('101010', '110101', '11101001', '10111110')\n('110101', '111011', '11010111', '01111000')\n('110000', '111011', '11010111', '01111000')\n('111011', '110101', '11101001', '10111110')\n('101010', '110101', '11101001', '10110001')\n('110101', '111010', '11010110', '01100110')\n('001110', '111010', '11010110', '01100110')\n('111010', '110101', '11101001', '10110001')\n('101010', '110101', '11101001', '10110001')\n('110101', '111010', '11010110', '01100110')\n('001110', '111010', '11010110', '01100110')\n('111010', '110101', '11101001', '10110001')\n('101010', '110101', '11101001', '10110001')\n('110101', '111010', '11010110', '01100111')\n('001111', '111010', '11010110', '01100111')\n('111010', '110101', '11101001', '10110001')\n('101010', '110101', '11101001', '10110001')\n('110101', '111010', '11010110', '01100111')\n('001111', '111010', '11010110', '01100111')\n('111010', '110101', '11101001', '10110001')\n('101010', '110101', '11101001', '10110000')\n('110101', '111110', '11111110', '01001100')\n('101011', '111110', '11111110', '01001100')\n('111110', '110101', '11101001', '10110000')\n('101010', '110101', '11101001', '10110000')\n('110101', '111110', '11111110', '01001100')\n('101011', '111110', '11111110', '01001100')\n('111110', '110101', '11101001', '10110000')\n('101010', '110101', '11101001', '10110000')\n('110101', '111110', '11111110', '01001101')\n('101111', '111110', '11111110', '01001101')\n('111110', '110101', '11101001', '10110000')\n('101010', '110101', '11101001', '10110000')\n('110101', '111110', '11111110', '01001101')\n('101111', '111110', '11111110', '01001101')\n('111110', '110101', '11101001', '10110000')\n('101010', '110101', '11101001', '10110011')\n('110101', '111111', '11111111', '01001011')\n('101010', '111111', '11111111', '01001011')\n('111111', '110101', '11101001', '10110011')\n('101010', '110101', '11101001', '10110011')\n('110101', '111111', '11111111', '01001011')\n('101010', '111111', '11111111', '01001011')\n('111111', '110101', '11101001', '10110011')\n('101010', '110101', '11101001', '10110011')\n('110101', '111111', '11111111', '01001010')\n('101101', '111111', '11111111', '01001010')\n('111111', '110101', '11101001', '10110011')\n('101010', '110101', '11101001', '10110011')\n('110101', '111111', '11111111', '01001010')\n('101101', '111111', '11111111', '01001010')\n('111111', '110101', '11101001', '10110011')\n('101010', '110101', '11101001', '10110010')\n('110101', '111100', '11111100', '01001010')\n('101101', '111100', '11111100', '01001010')\n('111100', '110101', '11101001', '10110010')\n('101010', '110101', '11101001', '10110010')\n('110101', '111100', '11111100', '01001010')\n('101101', '111100', '11111100', '01001010')\n('111100', '110101', '11101001', '10110010')\n"}︡{"stdout":"('101010', '110101', '11101001', '10110010')\n('110101', '111100', '11111100', '01001011')\n('101010', '111100', '11111100', '01001011')\n('111100', '110101', '11101001', '10110010')\n('101010', '110101', '11101001', '10110010')\n('110101', '111100', '11111100', '01001011')\n('101010', '111100', '11111100', '01001011')\n('111100', '110101', '11101001', '10110010')\n('101010', '110101', '11101001', '10110101')\n('110101', '111011', '11010111', '01101111')\n('001001', '111011', '11010111', '01101111')\n('111011', '110101', '11101001', '10110101')\n('101010', '110101', '11101001', '10110101')\n('110101', '111011', '11010111', '01101111')\n('001001', '111011', '11010111', '01101111')\n('111011', '110101', '11101001', '10110101')\n('101010', '110101', '11101001', '10110101')\n('110101', '111011', '11010111', '01101110')\n('001100', '111011', '11010111', '01101110')\n('111011', '110101', '11101001', '10110101')\n('101010', '110101', '11101001', '10110101')\n('110101', '111011', '11010111', '01101110')\n('001100', '111011', '11010111', '01101110')\n('111011', '110101', '11101001', '10110101')\n('101010', '110101', '11101001', '10110100')\n('110101', '111101', '11111101', '01000111')\n('101111', '111101', '11111101', '01000111')\n('111101', '110101', '11101001', '10110100')\n('101010', '110101', '11101001', '10110100')\n('110101', '111101', '11111101', '01000111')\n('101111', '111101', '11111101', '01000111')\n('111101', '110101', '11101001', '10110100')\n('101010', '110101', '11101001', '10110100')\n('110101', '111101', '11111101', '01000110')\n('101110', '111101', '11111101', '01000110')\n('111101', '110101', '11101001', '10110100')\n('101010', '110101', '11101001', '10110100')\n('110101', '111101', '11111101', '01000110')\n('101110', '111101', '11111101', '01000110')\n('111101', '110101', '11101001', '10110100')\n('101010', '110101', '11101001', '10110111')\n('110101', '111000', '11010100', '01101000')\n('001000', '111000', '11010100', '01101000')\n('111000', '110101', '11101001', '10110111')\n('101010', '110101', '11101001', '10110111')\n('110101', '111000', '11010100', '01101000')\n('001000', '111000', '11010100', '01101000')\n('111000', '110101', '11101001', '10110111')\n('101010', '110101', '11101001', '10110111')\n('110101', '111000', '11010100', '01101001')\n('001110', '111000', '11010100', '01101001')\n('111000', '110101', '11101001', '10110111')\n('101010', '110101', '11101001', '10110111')\n('110101', '111000', '11010100', '01101001')\n('001110', '111000', '11010100', '01101001')\n('111000', '110101', '11101001', '10110111')\n('101010', '110101', '11101001', '10110110')\n('110101', '111001', '11010101', '01101011')\n('001010', '111001', '11010101', '01101011')\n('111001', '110101', '11101001', '10110110')\n('101010', '110101', '11101001', '10110110')\n('110101', '111001', '11010101', '01101011')\n('001010', '111001', '11010101', '01101011')\n('111001', '110101', '11101001', '10110110')\n('101010', '110101', '11101001', '10110110')\n('110101', '111001', '11010101', '01101010')\n('001101', '111001', '11010101', '01101010')\n('111001', '110101', '11101001', '10110110')\n('101010', '110101', '11101001', '10110110')\n('110101', '111001', '11010101', '01101010')\n('001101', '111001', '11010101', '01101010')\n('111001', '110101', '11101001', '10110110')\n('101010', '110101', '11101001', '10001001')\n('110101', '100001', '10000001', '01000001')\n('101101', '100001', '10000001', '01000001')\n('100001', '110101', '11101001', '10001001')\n('101010', '110101', '11101001', '10001001')\n('110101', '100001', '10000001', '01000001')\n('101101', '100001', '10000001', '01000001')\n('100001', '110101', '11101001', '10001001')\n('101010', '110101', '11101001', '10001001')\n('110101', '100001', '10000001', '01000000')\n('101001', '100001', '10000001', '01000000')\n('100001', '110101', '11101001', '10001001')\n('101010', '110101', '11101001', '10001001')\n('110101', '100001', '10000001', '01000000')\n('101001', '100001', '10000001', '01000000')\n('100001', '110101', '11101001', '10001001')\n('101010', '110101', '11101001', '10001000')\n('110101', '100111', '10101011', '01101001')\n('001110', '100111', '10101011', '01101001')\n('100111', '110101', '11101001', '10001000')"}︡{"stdout":"\n('101010', '110101', '11101001', '10001000')\n('110101', '100111', '10101011', '01101001')\n('001110', '100111', '10101011', '01101001')\n('100111', '110101', '11101001', '10001000')\n('101010', '110101', '11101001', '10001000')\n('110101', '100111', '10101011', '01101000')\n('001000', '100111', '10101011', '01101000')\n('100111', '110101', '11101001', '10001000')\n('101010', '110101', '11101001', '10001000')\n('110101', '100111', '10101011', '01101000')\n('001000', '100111', '10101011', '01101000')\n('100111', '110101', '11101001', '10001000')\n('101010', '110101', '11101001', '10001011')\n('110101', '100101', '10101001', '01101101')\n('001111', '100101', '10101001', '01101101')\n('100101', '110101', '11101001', '10001011')\n('101010', '110101', '11101001', '10001011')\n('110101', '100101', '10101001', '01101101')\n('001111', '100101', '10101001', '01101101')\n('100101', '110101', '11101001', '10001011')\n('101010', '110101', '11101001', '10001011')\n('110101', '100101', '10101001', '01101100')\n('001011', '100101', '10101001', '01101100')\n('100101', '110101', '11101001', '10001011')\n('101010', '110101', '11101001', '10001011')\n('110101', '100101', '10101001', '01101100')\n('001011', '100101', '10101001', '01101100')\n('100101', '110101', '11101001', '10001011')\n('101010', '110101', '11101001', '10001010')\n('110101', '100010', '10000010', '01000100')\n('101010', '100010', '10000010', '01000100')\n('100010', '110101', '11101001', '10001010')\n('101010', '110101', '11101001', '10001010')\n('110101', '100010', '10000010', '01000100')\n('101010', '100010', '10000010', '01000100')\n('100010', '110101', '11101001', '10001010')\n('101010', '110101', '11101001', '10001010')\n('110101', '100010', '10000010', '01000101')\n('101100', '100010', '10000010', '01000101')\n('100010', '110101', '11101001', '10001010')\n('101010', '110101', '11101001', '10001010')\n('110101', '100010', '10000010', '01000101')\n('101100', '100010', '10000010', '01000101')\n('100010', '110101', '11101001', '10001010')\n('101010', '110101', '11101001', '10001101')\n('110101', '100000', '10000000', '01001000')\n('101000', '100000', '10000000', '01001000')\n('100000', '110101', '11101001', '10001101')\n('101010', '110101', '11101001', '10001101')\n('110101', '100000', '10000000', '01001000')\n('101000', '100000', '10000000', '01001000')\n('100000', '110101', '11101001', '10001101')\n('101010', '110101', '11101001', '10001101')\n('110101', '100000', '10000000', '01001001')\n('101110', '100000', '10000000', '01001001')\n('100000', '110101', '11101001', '10001101')\n('101010', '110101', '11101001', '10001101')\n('110101', '100000', '10000000', '01001001')\n('101110', '100000', '10000000', '01001001')\n('100000', '110101', '11101001', '10001101')\n('101010', '110101', '11101001', '10001100')\n('110101', '100100', '10101000', '01100010')\n('001011', '100100', '10101000', '01100010')\n('100100', '110101', '11101001', '10001100')\n('101010', '110101', '11101001', '10001100')\n('110101', '100100', '10101000', '01100010')\n('001011', '100100', '10101000', '01100010')\n('100100', '110101', '11101001', '10001100')\n('101010', '110101', '11101001', '10001100')\n('110101', '100100', '10101000', '01100011')\n('001000', '100100', '10101000', '01100011')\n('100100', '110101', '11101001', '10001100')\n('101010', '110101', '11101001', '10001100')\n('110101', '100100', '10101000', '01100011')\n('001000', '100100', '10101000', '01100011')\n('100100', '110101', '11101001', '10001100')\n('101010', '110101', '11101001', '10001111')\n('110101', '100110', '10101010', '01100110')\n('001110', '100110', '10101010', '01100110')\n('100110', '110101', '11101001', '10001111')\n('101010', '110101', '11101001', '10001111')\n('110101', '100110', '10101010', '01100110')\n('001110', '100110', '10101010', '01100110')\n('100110', '110101', '11101001', '10001111')\n('101010', '110101', '11101001', '10001111')\n('110101', '100110', '10101010', '01100111')\n('001111', '100110', '10101010', '01100111')\n('100110', '110101', '11101001', '10001111')\n('101010', '110101', '11101001', '10001111')\n('110101', '100110', '10101010', '01100111')\n('001111', '100110', '10101010', '01100111')\n"}︡{"stdout":"('100110', '110101', '11101001', '10001111')\n('101010', '110101', '11101001', '10001110')\n('110101', '100011', '10000011', '01001101')\n('101111', '100011', '10000011', '01001101')\n('100011', '110101', '11101001', '10001110')\n('101010', '110101', '11101001', '10001110')\n('110101', '100011', '10000011', '01001101')\n('101111', '100011', '10000011', '01001101')\n('100011', '110101', '11101001', '10001110')\n('101010', '110101', '11101001', '10001110')\n('110101', '100011', '10000011', '01001100')\n('101011', '100011', '10000011', '01001100')\n('100011', '110101', '11101001', '10001110')\n('101010', '110101', '11101001', '10001110')\n('110101', '100011', '10000011', '01001100')\n('101011', '100011', '10000011', '01001100')\n('100011', '110101', '11101001', '10001110')\n('101010', '110101', '11101001', '10000001')\n('110101', '100010', '10000010', '01010010')\n('010011', '100010', '10000010', '01010010')\n('100010', '110101', '11101001', '10000001')\n('101010', '110101', '11101001', '10000001')\n('110101', '100010', '10000010', '01010010')\n('010011', '100010', '10000010', '01010010')\n('100010', '110101', '11101001', '10000001')\n('101010', '110101', '11101001', '10000001')\n('110101', '100010', '10000010', '01010011')\n('010000', '100010', '10000010', '01010011')\n('100010', '110101', '11101001', '10000001')\n('101010', '110101', '11101001', '10000001')\n('110101', '100010', '10000010', '01010011')\n('010000', '100010', '10000010', '01010011')\n('100010', '110101', '11101001', '10000001')\n('101010', '110101', '11101001', '10000000')\n('110101', '100110', '10101010', '01111000')\n('110000', '100110', '10101010', '01111000')\n('100110', '110101', '11101001', '10000000')\n('101010', '110101', '11101001', '10000000')\n('110101', '100110', '10101010', '01111000')\n('110000', '100110', '10101010', '01111000')\n('100110', '110101', '11101001', '10000000')\n('101010', '110101', '11101001', '10000000')\n('110101', '100110', '10101010', '01111001')\n('110110', '100110', '10101010', '01111001')\n('100110', '110101', '11101001', '10000000')\n('101010', '110101', '11101001', '10000000')\n('110101', '100110', '10101010', '01111001')\n('110110', '100110', '10101010', '01111001')\n('100110', '110101', '11101001', '10000000')\n('101010', '110101', '11101001', '10000011')\n('110101', '100111', '10101011', '01111111')\n('110001', '100111', '10101011', '01111111')\n('100111', '110101', '11101001', '10000011')\n('101010', '110101', '11101001', '10000011')\n('110101', '100111', '10101011', '01111111')\n('110001', '100111', '10101011', '01111111')\n('100111', '110101', '11101001', '10000011')\n('101010', '110101', '11101001', '10000011')\n('110101', '100111', '10101011', '01111110')\n('110100', '100111', '10101011', '01111110')\n('100111', '110101', '11101001', '10000011')\n('101010', '110101', '11101001', '10000011')\n('110101', '100111', '10101011', '01111110')\n('110100', '100111', '10101011', '01111110')\n('100111', '110101', '11101001', '10000011')\n('101010', '110101', '11101001', '10000010')\n('110101', '100100', '10101000', '01111110')\n('110100', '100100', '10101000', '01111110')\n('100100', '110101', '11101001', '10000010')\n('101010', '110101', '11101001', '10000010')\n('110101', '100100', '10101000', '01111110')\n('110100', '100100', '10101000', '01111110')\n('100100', '110101', '11101001', '10000010')\n('101010', '110101', '11101001', '10000010')\n('110101', '100100', '10101000', '01111111')\n('110001', '100100', '10101000', '01111111')\n('100100', '110101', '11101001', '10000010')\n('101010', '110101', '11101001', '10000010')\n('110101', '100100', '10101000', '01111111')\n('110001', '100100', '10101000', '01111111')\n('100100', '110101', '11101001', '10000010')\n('101010', '110101', '11101001', '10000101')\n('110101', '100011', '10000011', '01011011')\n('010010', '100011', '10000011', '01011011')\n('100011', '110101', '11101001', '10000101')\n('101010', '110101', '11101001', '10000101')\n('110101', '100011', '10000011', '01011011')\n('010010', '100011', '10000011', '01011011')\n('100011', '110101', '11101001', '10000101')\n('101010', '110101', '11101001', '10000101')\n('110101', '100011', '10000011', '01011010')\n('010101', '100011', '10000011', '01011010')"}︡{"stdout":"\n('100011', '110101', '11101001', '10000101')\n('101010', '110101', '11101001', '10000101')\n('110101', '100011', '10000011', '01011010')\n('010101', '100011', '10000011', '01011010')\n('100011', '110101', '11101001', '10000101')\n('101010', '110101', '11101001', '10000100')\n('110101', '100101', '10101001', '01110011')\n('110000', '100101', '10101001', '01110011')\n('100101', '110101', '11101001', '10000100')\n('101010', '110101', '11101001', '10000100')\n('110101', '100101', '10101001', '01110011')\n('110000', '100101', '10101001', '01110011')\n('100101', '110101', '11101001', '10000100')\n('101010', '110101', '11101001', '10000100')\n('110101', '100101', '10101001', '01110010')\n('110011', '100101', '10101001', '01110010')\n('100101', '110101', '11101001', '10000100')\n('101010', '110101', '11101001', '10000100')\n('110101', '100101', '10101001', '01110010')\n('110011', '100101', '10101001', '01110010')\n('100101', '110101', '11101001', '10000100')\n('101010', '110101', '11101001', '10000111')\n('110101', '100000', '10000000', '01011100')\n('010011', '100000', '10000000', '01011100')\n('100000', '110101', '11101001', '10000111')\n('101010', '110101', '11101001', '10000111')\n('110101', '100000', '10000000', '01011100')\n('010011', '100000', '10000000', '01011100')\n('100000', '110101', '11101001', '10000111')\n('101010', '110101', '11101001', '10000111')\n('110101', '100000', '10000000', '01011101')\n('010111', '100000', '10000000', '01011101')\n('100000', '110101', '11101001', '10000111')\n('101010', '110101', '11101001', '10000111')\n('110101', '100000', '10000000', '01011101')\n('010111', '100000', '10000000', '01011101')\n('100000', '110101', '11101001', '10000111')\n('101010', '110101', '11101001', '10000110')\n('110101', '100001', '10000001', '01011111')\n('010001', '100001', '10000001', '01011111')\n('100001', '110101', '11101001', '10000110')\n('101010', '110101', '11101001', '10000110')\n('110101', '100001', '10000001', '01011111')\n('010001', '100001', '10000001', '01011111')\n('100001', '110101', '11101001', '10000110')\n('101010', '110101', '11101001', '10000110')\n('110101', '100001', '10000001', '01011110')\n('010100', '100001', '10000001', '01011110')\n('100001', '110101', '11101001', '10000110')\n('101010', '110101', '11101001', '10000110')\n('110101', '100001', '10000001', '01011110')\n('010100', '100001', '10000001', '01011110')\n('100001', '110101', '11101001', '10000110')\n('101010', '110101', '11101001', '10011001')\n('110101', '001001', '00010101', '11110101')\n('101100', '001001', '00010101', '11110101')\n('001001', '110101', '11101001', '10011001')\n('101010', '110101', '11101001', '10011001')\n('110101', '001001', '00010101', '11110101')\n('101100', '001001', '00010101', '11110101')\n('001001', '110101', '11101001', '10011001')\n('101010', '110101', '11101001', '10011001')\n('110101', '001001', '00010101', '11110100')\n('101010', '001001', '00010101', '11110100')\n('001001', '110101', '11101001', '10011001')\n('101010', '110101', '11101001', '10011001')\n('110101', '001001', '00010101', '11110100')\n('101010', '001001', '00010101', '11110100')\n('001001', '110101', '11101001', '10011001')\n('101010', '110101', '11101001', '10011000')\n('110101', '001111', '00111111', '11011101')\n('001111', '001111', '00111111', '11011101')\n('001111', '110101', '11101001', '10011000')\n('101010', '110101', '11101001', '10011000')\n('110101', '001111', '00111111', '11011101')\n('001111', '001111', '00111111', '11011101')\n('001111', '110101', '11101001', '10011000')\n('101010', '110101', '11101001', '10011000')\n('110101', '001111', '00111111', '11011100')\n('001011', '001111', '00111111', '11011100')\n('001111', '110101', '11101001', '10011000')\n('101010', '110101', '11101001', '10011000')\n('110101', '001111', '00111111', '11011100')\n('001011', '001111', '00111111', '11011100')\n('001111', '110101', '11101001', '10011000')\n('101010', '110101', '11101001', '10011011')\n('110101', '001101', '00111101', '11011001')\n('001110', '001101', '00111101', '11011001')\n('001101', '110101', '11101001', '10011011')\n('101010', '110101', '11101001', '10011011')\n('110101', '001101', '00111101', '11011001')\n"}︡{"stdout":"('001110', '001101', '00111101', '11011001')\n('001101', '110101', '11101001', '10011011')\n('101010', '110101', '11101001', '10011011')\n('110101', '001101', '00111101', '11011000')\n('001000', '001101', '00111101', '11011000')\n('001101', '110101', '11101001', '10011011')\n('101010', '110101', '11101001', '10011011')\n('110101', '001101', '00111101', '11011000')\n('001000', '001101', '00111101', '11011000')\n('001101', '110101', '11101001', '10011011')\n('101010', '110101', '11101001', '10011010')\n('110101', '001010', '00010110', '11110000')\n('101001', '001010', '00010110', '11110000')\n('001010', '110101', '11101001', '10011010')\n('101010', '110101', '11101001', '10011010')\n('110101', '001010', '00010110', '11110000')\n('101001', '001010', '00010110', '11110000')\n('001010', '110101', '11101001', '10011010')\n('101010', '110101', '11101001', '10011010')\n('110101', '001010', '00010110', '11110001')\n('101101', '001010', '00010110', '11110001')\n('001010', '110101', '11101001', '10011010')\n('101010', '110101', '11101001', '10011010')\n('110101', '001010', '00010110', '11110001')\n('101101', '001010', '00010110', '11110001')\n('001010', '110101', '11101001', '10011010')\n('101010', '110101', '11101001', '10011101')\n('110101', '001000', '00010100', '11111100')\n('101011', '001000', '00010100', '11111100')\n('001000', '110101', '11101001', '10011101')\n('101010', '110101', '11101001', '10011101')\n('110101', '001000', '00010100', '11111100')\n('101011', '001000', '00010100', '11111100')\n('001000', '110101', '11101001', '10011101')\n('101010', '110101', '11101001', '10011101')\n('110101', '001000', '00010100', '11111101')\n('101111', '001000', '00010100', '11111101')\n('001000', '110101', '11101001', '10011101')\n('101010', '110101', '11101001', '10011101')\n('110101', '001000', '00010100', '11111101')\n('101111', '001000', '00010100', '11111101')\n('001000', '110101', '11101001', '10011101')\n('101010', '110101', '11101001', '10011100')\n('110101', '001100', '00111100', '11010110')\n('001110', '001100', '00111100', '11010110')\n('001100', '110101', '11101001', '10011100')\n('101010', '110101', '11101001', '10011100')\n('110101', '001100', '00111100', '11010110')\n('001110', '001100', '00111100', '11010110')\n('001100', '110101', '11101001', '10011100')\n('101010', '110101', '11101001', '10011100')\n('110101', '001100', '00111100', '11010111')\n('001111', '001100', '00111100', '11010111')\n('001100', '110101', '11101001', '10011100')\n('101010', '110101', '11101001', '10011100')\n('110101', '001100', '00111100', '11010111')\n('001111', '001100', '00111100', '11010111')\n('001100', '110101', '11101001', '10011100')\n('101010', '110101', '11101001', '10011111')\n('110101', '001110', '00111110', '11010010')\n('001011', '001110', '00111110', '11010010')\n('001110', '110101', '11101001', '10011111')\n('101010', '110101', '11101001', '10011111')\n('110101', '001110', '00111110', '11010010')\n('001011', '001110', '00111110', '11010010')\n('001110', '110101', '11101001', '10011111')\n('101010', '110101', '11101001', '10011111')\n('110101', '001110', '00111110', '11010011')\n('001000', '001110', '00111110', '11010011')\n('001110', '110101', '11101001', '10011111')\n('101010', '110101', '11101001', '10011111')\n('110101', '001110', '00111110', '11010011')\n('001000', '001110', '00111110', '11010011')\n('001110', '110101', '11101001', '10011111')\n('101010', '110101', '11101001', '10011110')\n('110101', '001011', '00010111', '11111001')\n('101110', '001011', '00010111', '11111001')\n('001011', '110101', '11101001', '10011110')\n('101010', '110101', '11101001', '10011110')\n('110101', '001011', '00010111', '11111001')\n('101110', '001011', '00010111', '11111001')\n('001011', '110101', '11101001', '10011110')\n('101010', '110101', '11101001', '10011110')\n('110101', '001011', '00010111', '11111000')\n('101000', '001011', '00010111', '11111000')\n('001011', '110101', '11101001', '10011110')\n('101010', '110101', '11101001', '10011110')\n('110101', '001011', '00010111', '11111000')\n('101000', '001011', '00010111', '11111000')\n('001011', '110101', '11101001', '10011110')\n('101010', '110101', '11101001', '10010001')\n('110101', '001010', '00010110', '11100110')"}︡{"stdout":"\n('011110', '001010', '00010110', '11100110')\n('001010', '110101', '11101001', '10010001')\n('101010', '110101', '11101001', '10010001')\n('110101', '001010', '00010110', '11100110')\n('011110', '001010', '00010110', '11100110')\n('001010', '110101', '11101001', '10010001')\n('101010', '110101', '11101001', '10010001')\n('110101', '001010', '00010110', '11100111')\n('011111', '001010', '00010110', '11100111')\n('001010', '110101', '11101001', '10010001')\n('101010', '110101', '11101001', '10010001')\n('110101', '001010', '00010110', '11100111')\n('011111', '001010', '00010110', '11100111')\n('001010', '110101', '11101001', '10010001')\n('101010', '110101', '11101001', '10010000')\n('110101', '001110', '00111110', '11001100')\n('110011', '001110', '00111110', '11001100')\n('001110', '110101', '11101001', '10010000')\n('101010', '110101', '11101001', '10010000')\n('110101', '001110', '00111110', '11001100')\n('110011', '001110', '00111110', '11001100')\n('001110', '110101', '11101001', '10010000')\n('101010', '110101', '11101001', '10010000')\n('110101', '001110', '00111110', '11001101')\n('110111', '001110', '00111110', '11001101')\n('001110', '110101', '11101001', '10010000')\n('101010', '110101', '11101001', '10010000')\n('110101', '001110', '00111110', '11001101')\n('110111', '001110', '00111110', '11001101')\n('001110', '110101', '11101001', '10010000')\n('101010', '110101', '11101001', '10010011')\n('110101', '001111', '00111111', '11001011')\n('110010', '001111', '00111111', '11001011')\n('001111', '110101', '11101001', '10010011')\n('101010', '110101', '11101001', '10010011')\n('110101', '001111', '00111111', '11001011')\n('110010', '001111', '00111111', '11001011')\n('001111', '110101', '11101001', '10010011')\n('101010', '110101', '11101001', '10010011')\n('110101', '001111', '00111111', '11001010')\n('110101', '001111', '00111111', '11001010')\n('001111', '110101', '11101001', '10010011')\n('101010', '110101', '11101001', '10010011')\n('110101', '001111', '00111111', '11001010')\n('110101', '001111', '00111111', '11001010')\n('001111', '110101', '11101001', '10010011')\n('101010', '110101', '11101001', '10010010')\n('110101', '001100', '00111100', '11001010')\n('110101', '001100', '00111100', '11001010')\n('001100', '110101', '11101001', '10010010')\n('101010', '110101', '11101001', '10010010')\n('110101', '001100', '00111100', '11001010')\n('110101', '001100', '00111100', '11001010')\n('001100', '110101', '11101001', '10010010')\n('101010', '110101', '11101001', '10010010')\n('110101', '001100', '00111100', '11001011')\n('110010', '001100', '00111100', '11001011')\n('001100', '110101', '11101001', '10010010')\n('101010', '110101', '11101001', '10010010')\n('110101', '001100', '00111100', '11001011')\n('110010', '001100', '00111100', '11001011')\n('001100', '110101', '11101001', '10010010')\n('101010', '110101', '11101001', '10010101')\n('110101', '001011', '00010111', '11101111')\n('011001', '001011', '00010111', '11101111')\n('001011', '110101', '11101001', '10010101')\n('101010', '110101', '11101001', '10010101')\n('110101', '001011', '00010111', '11101111')\n('011001', '001011', '00010111', '11101111')\n('001011', '110101', '11101001', '10010101')\n('101010', '110101', '11101001', '10010101')\n('110101', '001011', '00010111', '11101110')\n('011100', '001011', '00010111', '11101110')\n('001011', '110101', '11101001', '10010101')\n('101010', '110101', '11101001', '10010101')\n('110101', '001011', '00010111', '11101110')\n('011100', '001011', '00010111', '11101110')\n('001011', '110101', '11101001', '10010101')\n('101010', '110101', '11101001', '10010100')\n('110101', '001101', '00111101', '11000111')\n('110111', '001101', '00111101', '11000111')\n('001101', '110101', '11101001', '10010100')\n('101010', '110101', '11101001', '10010100')\n('110101', '001101', '00111101', '11000111')\n('110111', '001101', '00111101', '11000111')\n('001101', '110101', '11101001', '10010100')\n('101010', '110101', '11101001', '10010100')\n('110101', '001101', '00111101', '11000110')\n('110110', '001101', '00111101', '11000110')\n('001101', '110101', '11101001', '10010100')\n('101010', '110101', '11101001', '10010100')\n"}︡{"stdout":"('110101', '001101', '00111101', '11000110')\n('110110', '001101', '00111101', '11000110')\n('001101', '110101', '11101001', '10010100')\n('101010', '110101', '11101001', '10010111')\n('110101', '001000', '00010100', '11101000')\n('011000', '001000', '00010100', '11101000')\n('001000', '110101', '11101001', '10010111')\n('101010', '110101', '11101001', '10010111')\n('110101', '001000', '00010100', '11101000')\n('011000', '001000', '00010100', '11101000')\n('001000', '110101', '11101001', '10010111')\n('101010', '110101', '11101001', '10010111')\n('110101', '001000', '00010100', '11101001')\n('011110', '001000', '00010100', '11101001')\n('001000', '110101', '11101001', '10010111')\n('101010', '110101', '11101001', '10010111')\n('110101', '001000', '00010100', '11101001')\n('011110', '001000', '00010100', '11101001')\n('001000', '110101', '11101001', '10010111')\n('101010', '110101', '11101001', '10010110')\n('110101', '001001', '00010101', '11101011')\n('011010', '001001', '00010101', '11101011')\n('001001', '110101', '11101001', '10010110')\n('101010', '110101', '11101001', '10010110')\n('110101', '001001', '00010101', '11101011')\n('011010', '001001', '00010101', '11101011')\n('001001', '110101', '11101001', '10010110')\n('101010', '110101', '11101001', '10010110')\n('110101', '001001', '00010101', '11101010')\n('011101', '001001', '00010101', '11101010')\n('001001', '110101', '11101001', '10010110')\n('101010', '110101', '11101001', '10010110')\n('110101', '001001', '00010101', '11101010')\n('011101', '001001', '00010101', '11101010')\n('001001', '110101', '11101001', '10010110')\n"}︡{"stdout":"512\n"}︡{"stdout":"0\n"}︡{"done":true}
︠f317665b-5224-4bc9-b6e2-1b3306ff0f62s︠
︡cefd0916-5b81-4999-934e-547ef8da457f︡{"done":true}
︠4ffa1c79-c32b-4697-bc09-1f0a0993e941s︠
key="010011001"
message="101010110101"
for i in range(0,10):
    print (BDES(message,key,i))
︡6bc12a6d-cfc4-478f-97f2-b0b7c40c240b︡{"stdout":"\n('101010', '110101', '11101001', '01110000')\n110101101110\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n101110111011\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n111011111000\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n111000101010\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n('111000', '101010', '10010110', '00000010')\n101010010110\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n('111000', '101010', '10010110', '00000010')\n('101010', '010110', '01101010', '01000011')\n010110110111\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n('111000', '101010', '10010110', '00000010')\n('101010', '010110', '01101010', '01000011')\n('010110', '110111', '11101011', '10111000')\n110111000011\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n('111000', '101010', '10010110', '00000010')\n('101010', '010110', '01101010', '01000011')\n('010110', '110111', '11101011', '10111000')\n('110111', '000011', '00000011', '10100101')\n000011000110\n('101010', '110101', '11101001', '01110000')\n('110101', '101110', '10111110', '10001100')\n('101110', '111011', '11010111', '10110010')\n('111011', '111000', '11010100', '00011110')\n('111000', '101010', '10010110', '00000010')\n('101010', '010110', '01101010', '01000011')\n('010110', '110111', '11101011', '10111000')\n('110111', '000011', '00000011', '10100101')\n('000011', '000110', '00101010', '01100110')\n000110111000\n"}︡{"done":true}
︠9006c7e5-ca0b-4cda-9128-57d11cd2ce2as︠

key = "010011001"
EightBitsKey(key,2)
︡9f3f95b9-bbb9-46b8-b8e5-a39efa3fd28e︡{"stdout":"'00110010'\n"}︡{"done":true}
︠679a6b36-449e-4cd9-ac1a-fcf53345c28fs︠


message = "110101100100"
key = "010011001"
BDESoneRound(message,key,3)

    
︡a64d7da0-5b06-499e-b2c5-b810bbd5dbcd︡{"stdout":"('110101', '100100', '10101000', '11001101')\n'100100110111'\n"}︡{"done":true}
︠7e3ec244-1013-4770-9ab1-ab4baf381412s︠

key="110110010"
message="101010110101"
L0 = Ln(message)
R0 = Rn(message)
ER0 = Expander(R0)
k1= EightBitsKey(key,4)
SboxInputs=XORnbits(ER0,k1,8)
L0
R0
ER0
k1
F0=S1[SboxInputs[0:4]]+S2[SboxInputs[4:]]
F0
R1 = XORnbits(L0,F0,6)
R1
F1=R0+R1
F1
BDESoneRound(message,key,4)

︡05245e57-14af-4bde-9398-3fcedc0fe230︡{"stdout":"'101010'\n"}︡{"stdout":"'110101'\n"}︡{"stdout":"'11101001'\n"}︡{"stdout":"'10010110'\n"}︡{"stdout":"'000100'\n"}︡{"stdout":"'101110'\n"}︡{"stdout":"'110101101110'\n"}︡{"stdout":"('101010', '110101', '11101001', '01111111')\n'110101101110'\n"}︡{"done":true}
︠e32c9459-d4e7-41d5-8312-ff492c9df5fais︠
L1 = "110101"
R1 = "011110"
︡d8d9ac10-ed9a-42f4-919c-636f882a6525︡{"done":true}









